// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.

namespace Microsoft.Protocols.TestSuites.Nrpc {
    using System;
    using System.Collections.Generic;
    using System.Text;
    using System.Reflection;
    using Microsoft.SpecExplorer.Runtime.Testing;
    using Microsoft.Protocols.TestTools;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Spec Explorer", "3.5.3146.0")]
    [Microsoft.VisualStudio.TestTools.UnitTesting.TestClassAttribute()]
    public partial class Test_MaintainSecureChannel_NetrLogonGetDomainInfo : PtfTestClassBase {
        
        public Test_MaintainSecureChannel_NetrLogonGetDomainInfo() {
            this.SetSwitch("ProceedControlTimeout", "100");
            this.SetSwitch("QuiescenceTimeout", "30000");
        }
        
        #region Expect Delegates
        public delegate void GetPlatformDelegate1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform);
        
        public delegate void NetrLogonGetDomainInfoDelegate1(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return);
        #endregion
        
        #region Event Metadata
        static System.Reflection.MethodBase GetPlatformInfo = TestManagerHelpers.GetMethodInfo(typeof(Microsoft.Protocols.TestSuites.Nrpc.INrpcServerAdapter), "GetPlatform", typeof(Microsoft.Protocols.TestSuites.Nrpc.PlatformType).MakeByRefType());
        
        static System.Reflection.MethodBase NetrLogonGetDomainInfoInfo = TestManagerHelpers.GetMethodInfo(typeof(Microsoft.Protocols.TestSuites.Nrpc.INrpcServerAdapter), "NetrLogonGetDomainInfo", typeof(Microsoft.Protocols.TestSuites.Nrpc.ComputerType), typeof(Microsoft.Protocols.TestSuites.Nrpc.ComputerType), typeof(bool), typeof(uint), typeof(Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation));
        #endregion
        
        #region Adapter Instances
        private Microsoft.Protocols.TestSuites.Nrpc.INrpcServerAdapter INrpcServerAdapterInstance;
        #endregion
        
        #region Class Initialization and Cleanup
        [Microsoft.VisualStudio.TestTools.UnitTesting.ClassInitializeAttribute()]
        public static void ClassInitialize(Microsoft.VisualStudio.TestTools.UnitTesting.TestContext context) {
            PtfTestClassBase.Initialize(context);
        }
        
        [Microsoft.VisualStudio.TestTools.UnitTesting.ClassCleanupAttribute()]
        public static void ClassCleanup() {
            PtfTestClassBase.Cleanup();
        }
        #endregion
        
        #region Test Initialization and Cleanup
        protected override void TestInitialize() {
            this.InitializeTestManager();
            this.INrpcServerAdapterInstance = ((Microsoft.Protocols.TestSuites.Nrpc.INrpcServerAdapter)(this.Manager.GetAdapter(typeof(Microsoft.Protocols.TestSuites.Nrpc.INrpcServerAdapter))));
        }
        
        protected override void TestCleanup() {
            base.TestCleanup();
            this.CleanupTestManager();
        }
        #endregion
        
        #region Test Starting in S0
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0");
            this.Manager.Comment("reaching state \'S0\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp0;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp0);
            this.Manager.AddReturn(GetPlatformInfo, null, temp0);
            this.Manager.Comment("reaching state \'S1\'");
            int temp19 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker2)));
            if ((temp19 == 0)) {
                this.Manager.Comment("reaching state \'S80\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp1;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp1 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S200\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp1, "return of NetrServerReqChallenge, state S200");
                this.Manager.Comment("reaching state \'S320\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp2;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp2 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S440\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp2, "return of NetrServerAuthenticate3, state S440");
                this.Manager.Comment("reaching state \'S560\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp3;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp3 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S680\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp3, "return of NetrLogonGetDomainInfo, state S680");
                this.Manager.Comment("reaching state \'S800\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp4;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp4 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S920\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp4, "return of NetrServerReqChallenge, state S920");
                this.Manager.Comment("reaching state \'S1040\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp5;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp5 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1160\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp5, "return of NetrServerAuthenticate3, state S1160");
                this.Manager.Comment("reaching state \'S1280\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp6;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp6 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1400\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp6, "return of NetrLogonGetDomainInfo, state S1400");
                this.Manager.Comment("reaching state \'S1433\'");
                goto label0;
            }
            if ((temp19 == 1)) {
                this.Manager.Comment("reaching state \'S81\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp7;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp7 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S201\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp7, "return of NetrServerReqChallenge, state S201");
                this.Manager.Comment("reaching state \'S321\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp8;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp8 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S441\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp8, "return of NetrServerAuthenticate3, state S441");
                this.Manager.Comment("reaching state \'S561\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp9;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp9 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S681\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp9, "return of NetrLogonGetDomainInfo, state S681");
                this.Manager.Comment("reaching state \'S801\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp10;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp10 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S921\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp10, "return of NetrServerReqChallenge, state S921");
                this.Manager.Comment("reaching state \'S1041\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp11;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp11 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1161\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp11, "return of NetrServerAuthenticate3, state S1161");
                this.Manager.Comment("reaching state \'S1281\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp12;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp12 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1401\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp12, "return of NetrLogonGetDomainInfo, state S1401");
                this.Manager.Comment("reaching state \'S1434\'");
                goto label0;
            }
            if ((temp19 == 2)) {
                this.Manager.Comment("reaching state \'S82\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp13;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp13 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S202\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp13, "return of NetrServerReqChallenge, state S202");
                this.Manager.Comment("reaching state \'S322\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp14;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp14 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S442\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp14, "return of NetrServerAuthenticate3, state S442");
                this.Manager.Comment("reaching state \'S562\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp15;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp15 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S682\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp15, "return of NetrLogonGetDomainInfo, state S682");
                this.Manager.Comment("reaching state \'S802\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp16;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp16 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S922\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp16, "return of NetrServerReqChallenge, state S922");
                this.Manager.Comment("reaching state \'S1042\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp17;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp17 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1162\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp17, "return of NetrServerAuthenticate3, state S1162");
                this.Manager.Comment("reaching state \'S1282\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp18;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp18 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1402\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp18, "return of NetrLogonGetDomainInfo, state S1402");
                this.Manager.Comment("reaching state \'S1435\'");
                goto label0;
            }
            throw new InvalidOperationException("never reached");
        label0:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S1");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S1");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS0GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S1");
        }
        #endregion
        
        #region Test Starting in S10
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10");
            this.Manager.Comment("reaching state \'S10\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp20;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp20);
            this.Manager.AddReturn(GetPlatformInfo, null, temp20);
            this.Manager.Comment("reaching state \'S11\'");
            int temp38 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker2)));
            if ((temp38 == 0)) {
                this.Manager.Comment("reaching state \'S95\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp21;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp21 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S215\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp21, "return of NetrServerReqChallenge, state S215");
                this.Manager.Comment("reaching state \'S335\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp22;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp22 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S455\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp22, "return of NetrServerAuthenticate3, state S455");
                this.Manager.Comment("reaching state \'S575\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp23;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=False,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp23 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S695\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp23, "return of NetrLogonGetDomainInfo, state S695");
                this.Manager.Comment("reaching state \'S815\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp24;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp24 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S935\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp24, "return of NetrServerReqChallenge, state S935");
                this.Manager.Comment("reaching state \'S1055\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp25;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp25 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1175\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp25, "return of NetrServerAuthenticate3, state S1175");
                this.Manager.Comment("reaching state \'S1295\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp26;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp26 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R247");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp26);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label1;
            }
            if ((temp38 == 1)) {
                this.Manager.Comment("reaching state \'S96\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp27;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp27 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S216\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp27, "return of NetrServerReqChallenge, state S216");
                this.Manager.Comment("reaching state \'S336\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp28;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp28 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S456\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp28, "return of NetrServerAuthenticate3, state S456");
                this.Manager.Comment("reaching state \'S576\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp29;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=False,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp29 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S696\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp29, "return of NetrLogonGetDomainInfo, state S696");
                this.Manager.Comment("reaching state \'S816\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp30;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp30 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S936\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp30, "return of NetrServerReqChallenge, state S936");
                this.Manager.Comment("reaching state \'S1056\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp31;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp31 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1176\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp31, "return of NetrServerAuthenticate3, state S1176");
                this.Manager.Comment("reaching state \'S1296\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp32;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp32 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R243");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp32);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label1;
            }
            if ((temp38 == 2)) {
                this.Manager.Comment("reaching state \'S97\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp33;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp33 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S217\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp33, "return of NetrServerReqChallenge, state S217");
                this.Manager.Comment("reaching state \'S337\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp34;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp34 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S457\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp34, "return of NetrServerAuthenticate3, state S457");
                this.Manager.Comment("reaching state \'S577\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp35;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp35 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S697\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp35, "return of NetrLogonGetDomainInfo, state S697");
                this.Manager.Comment("reaching state \'S817\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp36;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp36 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S937\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp36, "return of NetrServerReqChallenge, state S937");
                this.Manager.Comment("reaching state \'S1057\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp37;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp37 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1177\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp37, "return of NetrServerAuthenticate3, state S1177");
                this.Manager.Comment("reaching state \'S1297\'");
                goto label1;
            }
            throw new InvalidOperationException("never reached");
        label1:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S11");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405() {
            this.Manager.Comment("reaching state \'S1405\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10NetrLogonGetDomainInfoChecker)));
            this.Manager.Comment("reaching state \'S1438\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10NetrLogonGetDomainInfoChecker(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1405");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S11");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408() {
            this.Manager.Comment("reaching state \'S1408\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10NetrLogonGetDomainInfoChecker1)));
            this.Manager.Comment("reaching state \'S1440\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10NetrLogonGetDomainInfoChecker1(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1408");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS10GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S11");
        }
        #endregion
        
        #region Test Starting in S12
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12");
            this.Manager.Comment("reaching state \'S12\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp39;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp39);
            this.Manager.AddReturn(GetPlatformInfo, null, temp39);
            this.Manager.Comment("reaching state \'S13\'");
            int temp57 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker2)));
            if ((temp57 == 0)) {
                this.Manager.Comment("reaching state \'S100\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp40;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp40 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S220\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp40, "return of NetrServerReqChallenge, state S220");
                this.Manager.Comment("reaching state \'S340\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp41;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp41 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S460\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp41, "return of NetrServerAuthenticate3, state S460");
                this.Manager.Comment("reaching state \'S580\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp42;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp42 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S700\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp42, "return of NetrLogonGetDomainInfo, state S700");
                this.Manager.Comment("reaching state \'S820\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp43;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp43 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S940\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp43, "return of NetrServerReqChallenge, state S940");
                this.Manager.Comment("reaching state \'S1060\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp44;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp44 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1180\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp44, "return of NetrServerAuthenticate3, state S1180");
                this.Manager.Comment("reaching state \'S1300\'");
                goto label2;
            }
            if ((temp57 == 1)) {
                this.Manager.Comment("reaching state \'S98\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp45;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp45 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S218\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp45, "return of NetrServerReqChallenge, state S218");
                this.Manager.Comment("reaching state \'S338\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp46;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp46 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S458\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp46, "return of NetrServerAuthenticate3, state S458");
                this.Manager.Comment("reaching state \'S578\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp47;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=False,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp47 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S698\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp47, "return of NetrLogonGetDomainInfo, state S698");
                this.Manager.Comment("reaching state \'S818\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp48;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp48 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S938\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp48, "return of NetrServerReqChallenge, state S938");
                this.Manager.Comment("reaching state \'S1058\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp49;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp49 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1178\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp49, "return of NetrServerAuthenticate3, state S1178");
                this.Manager.Comment("reaching state \'S1298\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp50;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp50 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R251");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp50);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label2;
            }
            if ((temp57 == 2)) {
                this.Manager.Comment("reaching state \'S99\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp51;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp51 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S219\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp51, "return of NetrServerReqChallenge, state S219");
                this.Manager.Comment("reaching state \'S339\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp52;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp52 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S459\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp52, "return of NetrServerAuthenticate3, state S459");
                this.Manager.Comment("reaching state \'S579\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp53;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=False,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp53 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S699\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp53, "return of NetrLogonGetDomainInfo, state S699");
                this.Manager.Comment("reaching state \'S819\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp54;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp54 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S939\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp54, "return of NetrServerReqChallenge, state S939");
                this.Manager.Comment("reaching state \'S1059\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp55;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp55 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1179\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp55, "return of NetrServerAuthenticate3, state S1179");
                this.Manager.Comment("reaching state \'S1299\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp56;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp56 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R247");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp56);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label2;
            }
            throw new InvalidOperationException("never reached");
        label2:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S13");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S13");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS12GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S13");
        }
        #endregion
        
        #region Test Starting in S14
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14");
            this.Manager.Comment("reaching state \'S14\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp58;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp58);
            this.Manager.AddReturn(GetPlatformInfo, null, temp58);
            this.Manager.Comment("reaching state \'S15\'");
            int temp76 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker2)));
            if ((temp76 == 0)) {
                this.Manager.Comment("reaching state \'S101\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp59;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp59 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S221\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp59, "return of NetrServerReqChallenge, state S221");
                this.Manager.Comment("reaching state \'S341\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp60;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp60 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S461\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp60, "return of NetrServerAuthenticate3, state S461");
                this.Manager.Comment("reaching state \'S581\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp61;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=False,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp61 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S701\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp61, "return of NetrLogonGetDomainInfo, state S701");
                this.Manager.Comment("reaching state \'S821\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp62;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp62 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S941\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp62, "return of NetrServerReqChallenge, state S941");
                this.Manager.Comment("reaching state \'S1061\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp63;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp63 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1181\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp63, "return of NetrServerAuthenticate3, state S1181");
                this.Manager.Comment("reaching state \'S1301\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp64;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp64 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R266");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp64);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label3;
            }
            if ((temp76 == 1)) {
                this.Manager.Comment("reaching state \'S102\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp65;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp65 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S222\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp65, "return of NetrServerReqChallenge, state S222");
                this.Manager.Comment("reaching state \'S342\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp66;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp66 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S462\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp66, "return of NetrServerAuthenticate3, state S462");
                this.Manager.Comment("reaching state \'S582\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp67;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=False,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp67 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S702\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp67, "return of NetrLogonGetDomainInfo, state S702");
                this.Manager.Comment("reaching state \'S822\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp68;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp68 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S942\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp68, "return of NetrServerReqChallenge, state S942");
                this.Manager.Comment("reaching state \'S1062\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp69;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp69 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1182\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp69, "return of NetrServerAuthenticate3, state S1182");
                this.Manager.Comment("reaching state \'S1302\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp70;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp70 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R251");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp70);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label3;
            }
            if ((temp76 == 2)) {
                this.Manager.Comment("reaching state \'S103\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp71;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp71 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S223\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp71, "return of NetrServerReqChallenge, state S223");
                this.Manager.Comment("reaching state \'S343\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp72;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp72 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S463\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp72, "return of NetrServerAuthenticate3, state S463");
                this.Manager.Comment("reaching state \'S583\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp73;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp73 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S703\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp73, "return of NetrLogonGetDomainInfo, state S703");
                this.Manager.Comment("reaching state \'S823\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp74;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp74 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S943\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp74, "return of NetrServerReqChallenge, state S943");
                this.Manager.Comment("reaching state \'S1063\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp75;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp75 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1183\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp75, "return of NetrServerAuthenticate3, state S1183");
                this.Manager.Comment("reaching state \'S1303\'");
                goto label3;
            }
            throw new InvalidOperationException("never reached");
        label3:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S15");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S15");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS14GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S15");
        }
        #endregion
        
        #region Test Starting in S16
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16");
            this.Manager.Comment("reaching state \'S16\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp77;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp77);
            this.Manager.AddReturn(GetPlatformInfo, null, temp77);
            this.Manager.Comment("reaching state \'S17\'");
            int temp95 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker2)));
            if ((temp95 == 0)) {
                this.Manager.Comment("reaching state \'S104\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp78;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp78 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S224\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp78, "return of NetrServerReqChallenge, state S224");
                this.Manager.Comment("reaching state \'S344\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp79;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp79 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S464\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp79, "return of NetrServerAuthenticate3, state S464");
                this.Manager.Comment("reaching state \'S584\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp80;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=False,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp80 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S704\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp80, "return of NetrLogonGetDomainInfo, state S704");
                this.Manager.Comment("reaching state \'S824\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp81;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp81 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S944\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp81, "return of NetrServerReqChallenge, state S944");
                this.Manager.Comment("reaching state \'S1064\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp82;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp82 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1184\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp82, "return of NetrServerAuthenticate3, state S1184");
                this.Manager.Comment("reaching state \'S1304\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp83;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp83 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R270");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp83);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label4;
            }
            if ((temp95 == 1)) {
                this.Manager.Comment("reaching state \'S105\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp84;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp84 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S225\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp84, "return of NetrServerReqChallenge, state S225");
                this.Manager.Comment("reaching state \'S345\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp85;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp85 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S465\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp85, "return of NetrServerAuthenticate3, state S465");
                this.Manager.Comment("reaching state \'S585\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp86;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=False,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp86 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S705\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp86, "return of NetrLogonGetDomainInfo, state S705");
                this.Manager.Comment("reaching state \'S825\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp87;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp87 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S945\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp87, "return of NetrServerReqChallenge, state S945");
                this.Manager.Comment("reaching state \'S1065\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp88;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp88 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1185\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp88, "return of NetrServerAuthenticate3, state S1185");
                this.Manager.Comment("reaching state \'S1305\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp89;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp89 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R266");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp89);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label4;
            }
            if ((temp95 == 2)) {
                this.Manager.Comment("reaching state \'S106\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp90;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp90 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S226\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp90, "return of NetrServerReqChallenge, state S226");
                this.Manager.Comment("reaching state \'S346\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp91;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp91 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S466\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp91, "return of NetrServerAuthenticate3, state S466");
                this.Manager.Comment("reaching state \'S586\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp92;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp92 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S706\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp92, "return of NetrLogonGetDomainInfo, state S706");
                this.Manager.Comment("reaching state \'S826\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp93;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp93 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S946\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp93, "return of NetrServerReqChallenge, state S946");
                this.Manager.Comment("reaching state \'S1066\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp94;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp94 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1186\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp94, "return of NetrServerAuthenticate3, state S1186");
                this.Manager.Comment("reaching state \'S1306\'");
                goto label4;
            }
            throw new InvalidOperationException("never reached");
        label4:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S17");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S17");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS16GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S17");
        }
        #endregion
        
        #region Test Starting in S18
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18");
            this.Manager.Comment("reaching state \'S18\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp96;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp96);
            this.Manager.AddReturn(GetPlatformInfo, null, temp96);
            this.Manager.Comment("reaching state \'S19\'");
            int temp114 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker2)));
            if ((temp114 == 0)) {
                this.Manager.Comment("reaching state \'S107\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp97;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp97 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S227\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp97, "return of NetrServerReqChallenge, state S227");
                this.Manager.Comment("reaching state \'S347\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp98;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp98 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S467\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp98, "return of NetrServerAuthenticate3, state S467");
                this.Manager.Comment("reaching state \'S587\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp99;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp99 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S707\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp99, "return of NetrLogonGetDomainInfo, state S707");
                this.Manager.Comment("reaching state \'S827\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp100;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp100 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S947\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp100, "return of NetrServerReqChallenge, state S947");
                this.Manager.Comment("reaching state \'S1067\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp101;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp101 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1187\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp101, "return of NetrServerAuthenticate3, state S1187");
                this.Manager.Comment("reaching state \'S1307\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp102;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp102 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp102);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1410();
                goto label5;
            }
            if ((temp114 == 1)) {
                this.Manager.Comment("reaching state \'S108\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp103;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp103 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S228\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp103, "return of NetrServerReqChallenge, state S228");
                this.Manager.Comment("reaching state \'S348\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp104;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp104 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S468\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp104, "return of NetrServerAuthenticate3, state S468");
                this.Manager.Comment("reaching state \'S588\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp105;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=False,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp105 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S708\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp105, "return of NetrLogonGetDomainInfo, state S708");
                this.Manager.Comment("reaching state \'S828\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp106;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp106 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S948\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp106, "return of NetrServerReqChallenge, state S948");
                this.Manager.Comment("reaching state \'S1068\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp107;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp107 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1188\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp107, "return of NetrServerAuthenticate3, state S1188");
                this.Manager.Comment("reaching state \'S1308\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp108;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp108 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R270");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp108);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label5;
            }
            if ((temp114 == 2)) {
                this.Manager.Comment("reaching state \'S109\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp109;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp109 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S229\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp109, "return of NetrServerReqChallenge, state S229");
                this.Manager.Comment("reaching state \'S349\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp110;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp110 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S469\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp110, "return of NetrServerAuthenticate3, state S469");
                this.Manager.Comment("reaching state \'S589\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp111;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp111 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S709\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp111, "return of NetrLogonGetDomainInfo, state S709");
                this.Manager.Comment("reaching state \'S829\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp112;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp112 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S949\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp112, "return of NetrServerReqChallenge, state S949");
                this.Manager.Comment("reaching state \'S1069\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp113;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp113 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1189\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp113, "return of NetrServerAuthenticate3, state S1189");
                this.Manager.Comment("reaching state \'S1309\'");
                goto label5;
            }
            throw new InvalidOperationException("never reached");
        label5:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S19");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1410() {
            this.Manager.Comment("reaching state \'S1410\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18NetrLogonGetDomainInfoChecker)));
            this.Manager.Comment("reaching state \'S1441\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18NetrLogonGetDomainInfoChecker(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1410");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S19");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS18GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S19");
        }
        #endregion
        
        #region Test Starting in S2
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2");
            this.Manager.Comment("reaching state \'S2\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp115;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp115);
            this.Manager.AddReturn(GetPlatformInfo, null, temp115);
            this.Manager.Comment("reaching state \'S3\'");
            int temp133 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker2)));
            if ((temp133 == 0)) {
                this.Manager.Comment("reaching state \'S83\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp116;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp116 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S203\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp116, "return of NetrServerReqChallenge, state S203");
                this.Manager.Comment("reaching state \'S323\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp117;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp117 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S443\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp117, "return of NetrServerAuthenticate3, state S443");
                this.Manager.Comment("reaching state \'S563\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp118;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp118 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S683\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp118, "return of NetrLogonGetDomainInfo, state S683");
                this.Manager.Comment("reaching state \'S803\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp119;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp119 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S923\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp119, "return of NetrServerReqChallenge, state S923");
                this.Manager.Comment("reaching state \'S1043\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp120;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp120 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1163\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp120, "return of NetrServerAuthenticate3, state S1163");
                this.Manager.Comment("reaching state \'S1283\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp121;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp121 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1403\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp121, "return of NetrLogonGetDomainInfo, state S1403");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1436();
                goto label6;
            }
            if ((temp133 == 1)) {
                this.Manager.Comment("reaching state \'S84\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp122;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp122 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S204\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp122, "return of NetrServerReqChallenge, state S204");
                this.Manager.Comment("reaching state \'S324\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp123;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp123 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S444\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp123, "return of NetrServerAuthenticate3, state S444");
                this.Manager.Comment("reaching state \'S564\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp124;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp124 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S684\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp124, "return of NetrLogonGetDomainInfo, state S684");
                this.Manager.Comment("reaching state \'S804\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp125;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp125 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S924\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp125, "return of NetrServerReqChallenge, state S924");
                this.Manager.Comment("reaching state \'S1044\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp126;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp126 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1164\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp126, "return of NetrServerAuthenticate3, state S1164");
                this.Manager.Comment("reaching state \'S1284\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp127;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp127 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1404\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp127, "return of NetrLogonGetDomainInfo, state S1404");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1437();
                goto label6;
            }
            if ((temp133 == 2)) {
                this.Manager.Comment("reaching state \'S85\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp128;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp128 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S205\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp128, "return of NetrServerReqChallenge, state S205");
                this.Manager.Comment("reaching state \'S325\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp129;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp129 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S445\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp129, "return of NetrServerAuthenticate3, state S445");
                this.Manager.Comment("reaching state \'S565\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp130;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp130 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S685\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp130, "return of NetrLogonGetDomainInfo, state S685");
                this.Manager.Comment("reaching state \'S805\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp131;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp131 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S925\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp131, "return of NetrServerReqChallenge, state S925");
                this.Manager.Comment("reaching state \'S1045\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp132;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp132 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1165\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp132, "return of NetrServerAuthenticate3, state S1165");
                this.Manager.Comment("reaching state \'S1285\'");
                goto label6;
            }
            throw new InvalidOperationException("never reached");
        label6:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S3");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1436() {
            this.Manager.Comment("reaching state \'S1436\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S3");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1437() {
            this.Manager.Comment("reaching state \'S1437\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS2GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S3");
        }
        #endregion
        
        #region Test Starting in S20
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20");
            this.Manager.Comment("reaching state \'S20\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp134;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp134);
            this.Manager.AddReturn(GetPlatformInfo, null, temp134);
            this.Manager.Comment("reaching state \'S21\'");
            int temp152 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker2)));
            if ((temp152 == 0)) {
                this.Manager.Comment("reaching state \'S110\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp135;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp135 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S230\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp135, "return of NetrServerReqChallenge, state S230");
                this.Manager.Comment("reaching state \'S350\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp136;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp136 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S470\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp136, "return of NetrServerAuthenticate3, state S470");
                this.Manager.Comment("reaching state \'S590\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp137;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp137 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S710\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp137, "return of NetrLogonGetDomainInfo, state S710");
                this.Manager.Comment("reaching state \'S830\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp138;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp138 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S950\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp138, "return of NetrServerReqChallenge, state S950");
                this.Manager.Comment("reaching state \'S1070\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp139;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp139 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1190\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp139, "return of NetrServerAuthenticate3, state S1190");
                this.Manager.Comment("reaching state \'S1310\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp140;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp140 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1411\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp140, "return of NetrLogonGetDomainInfo, state S1411");
                this.Manager.Comment("reaching state \'S1442\'");
                goto label7;
            }
            if ((temp152 == 1)) {
                this.Manager.Comment("reaching state \'S111\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp141;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp141 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S231\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp141, "return of NetrServerReqChallenge, state S231");
                this.Manager.Comment("reaching state \'S351\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp142;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp142 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S471\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp142, "return of NetrServerAuthenticate3, state S471");
                this.Manager.Comment("reaching state \'S591\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp143;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp143 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S711\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp143, "return of NetrLogonGetDomainInfo, state S711");
                this.Manager.Comment("reaching state \'S831\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp144;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp144 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S951\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp144, "return of NetrServerReqChallenge, state S951");
                this.Manager.Comment("reaching state \'S1071\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp145;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp145 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1191\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp145, "return of NetrServerAuthenticate3, state S1191");
                this.Manager.Comment("reaching state \'S1311\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp146;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp146 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp146);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1412();
                goto label7;
            }
            if ((temp152 == 2)) {
                this.Manager.Comment("reaching state \'S112\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp147;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp147 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S232\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp147, "return of NetrServerReqChallenge, state S232");
                this.Manager.Comment("reaching state \'S352\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp148;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp148 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S472\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp148, "return of NetrServerAuthenticate3, state S472");
                this.Manager.Comment("reaching state \'S592\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp149;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp149 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S712\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp149, "return of NetrLogonGetDomainInfo, state S712");
                this.Manager.Comment("reaching state \'S832\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp150;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp150 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S952\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp150, "return of NetrServerReqChallenge, state S952");
                this.Manager.Comment("reaching state \'S1072\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp151;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp151 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1192\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp151, "return of NetrServerAuthenticate3, state S1192");
                this.Manager.Comment("reaching state \'S1312\'");
                goto label7;
            }
            throw new InvalidOperationException("never reached");
        label7:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S21");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S21");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1412() {
            this.Manager.Comment("reaching state \'S1412\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20NetrLogonGetDomainInfoChecker)));
            this.Manager.Comment("reaching state \'S1443\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20NetrLogonGetDomainInfoChecker(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1412");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS20GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S21");
        }
        #endregion
        
        #region Test Starting in S22
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22");
            this.Manager.Comment("reaching state \'S22\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp153;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp153);
            this.Manager.AddReturn(GetPlatformInfo, null, temp153);
            this.Manager.Comment("reaching state \'S23\'");
            int temp171 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker2)));
            if ((temp171 == 0)) {
                this.Manager.Comment("reaching state \'S113\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp154;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp154 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S233\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp154, "return of NetrServerReqChallenge, state S233");
                this.Manager.Comment("reaching state \'S353\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp155;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp155 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S473\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp155, "return of NetrServerAuthenticate3, state S473");
                this.Manager.Comment("reaching state \'S593\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp156;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2147483649,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp156 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2147483649u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S713\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp156, "return of NetrLogonGetDomainInfo, state S713");
                this.Manager.Comment("reaching state \'S833\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp157;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp157 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S953\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp157, "return of NetrServerReqChallenge, state S953");
                this.Manager.Comment("reaching state \'S1073\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp158;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp158 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1193\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp158, "return of NetrServerAuthenticate3, state S1193");
                this.Manager.Comment("reaching state \'S1313\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp159;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp159 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R280");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp159);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1410();
                goto label8;
            }
            if ((temp171 == 1)) {
                this.Manager.Comment("reaching state \'S114\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp160;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp160 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S234\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp160, "return of NetrServerReqChallenge, state S234");
                this.Manager.Comment("reaching state \'S354\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp161;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp161 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S474\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp161, "return of NetrServerAuthenticate3, state S474");
                this.Manager.Comment("reaching state \'S594\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp162;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp162 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S714\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp162, "return of NetrLogonGetDomainInfo, state S714");
                this.Manager.Comment("reaching state \'S834\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp163;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp163 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S954\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp163, "return of NetrServerReqChallenge, state S954");
                this.Manager.Comment("reaching state \'S1074\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp164;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp164 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1194\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp164, "return of NetrServerAuthenticate3, state S1194");
                this.Manager.Comment("reaching state \'S1314\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp165;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp165 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1413\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp165, "return of NetrLogonGetDomainInfo, state S1413");
                this.Manager.Comment("reaching state \'S1444\'");
                goto label8;
            }
            if ((temp171 == 2)) {
                this.Manager.Comment("reaching state \'S115\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp166;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp166 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S235\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp166, "return of NetrServerReqChallenge, state S235");
                this.Manager.Comment("reaching state \'S355\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp167;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp167 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S475\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp167, "return of NetrServerAuthenticate3, state S475");
                this.Manager.Comment("reaching state \'S595\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp168;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp168 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S715\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp168, "return of NetrLogonGetDomainInfo, state S715");
                this.Manager.Comment("reaching state \'S835\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp169;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp169 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S955\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp169, "return of NetrServerReqChallenge, state S955");
                this.Manager.Comment("reaching state \'S1075\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp170;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp170 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1195\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp170, "return of NetrServerAuthenticate3, state S1195");
                this.Manager.Comment("reaching state \'S1315\'");
                goto label8;
            }
            throw new InvalidOperationException("never reached");
        label8:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S23");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S23");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS22GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S23");
        }
        #endregion
        
        #region Test Starting in S24
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24");
            this.Manager.Comment("reaching state \'S24\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp172;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp172);
            this.Manager.AddReturn(GetPlatformInfo, null, temp172);
            this.Manager.Comment("reaching state \'S25\'");
            int temp190 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker2)));
            if ((temp190 == 0)) {
                this.Manager.Comment("reaching state \'S116\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp173;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp173 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S236\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp173, "return of NetrServerReqChallenge, state S236");
                this.Manager.Comment("reaching state \'S356\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp174;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp174 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S476\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp174, "return of NetrServerAuthenticate3, state S476");
                this.Manager.Comment("reaching state \'S596\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp175;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=False,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp175 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            false,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S716\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp175, "return of NetrLogonGetDomainInfo, state S716");
                this.Manager.Comment("reaching state \'S836\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp176;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp176 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S956\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp176, "return of NetrServerReqChallenge, state S956");
                this.Manager.Comment("reaching state \'S1076\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp177;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp177 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1196\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp177, "return of NetrServerAuthenticate3, state S1196");
                this.Manager.Comment("reaching state \'S1316\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp178;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp178 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R283");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp178);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label9;
            }
            if ((temp190 == 1)) {
                this.Manager.Comment("reaching state \'S117\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp179;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp179 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S237\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp179, "return of NetrServerReqChallenge, state S237");
                this.Manager.Comment("reaching state \'S357\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp180;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp180 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S477\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp180, "return of NetrServerAuthenticate3, state S477");
                this.Manager.Comment("reaching state \'S597\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp181;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2147483649,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp181 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2147483649u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S717\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp181, "return of NetrLogonGetDomainInfo, state S717");
                this.Manager.Comment("reaching state \'S837\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp182;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp182 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S957\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp182, "return of NetrServerReqChallenge, state S957");
                this.Manager.Comment("reaching state \'S1077\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp183;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp183 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1197\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp183, "return of NetrServerAuthenticate3, state S1197");
                this.Manager.Comment("reaching state \'S1317\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp184;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp184 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R280");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp184);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1412();
                goto label9;
            }
            if ((temp190 == 2)) {
                this.Manager.Comment("reaching state \'S118\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp185;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp185 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S238\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp185, "return of NetrServerReqChallenge, state S238");
                this.Manager.Comment("reaching state \'S358\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp186;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp186 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S478\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp186, "return of NetrServerAuthenticate3, state S478");
                this.Manager.Comment("reaching state \'S598\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp187;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp187 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S718\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp187, "return of NetrLogonGetDomainInfo, state S718");
                this.Manager.Comment("reaching state \'S838\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp188;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp188 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S958\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp188, "return of NetrServerReqChallenge, state S958");
                this.Manager.Comment("reaching state \'S1078\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp189;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp189 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1198\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp189, "return of NetrServerAuthenticate3, state S1198");
                this.Manager.Comment("reaching state \'S1318\'");
                goto label9;
            }
            throw new InvalidOperationException("never reached");
        label9:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S25");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S25");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS24GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S25");
        }
        #endregion
        
        #region Test Starting in S26
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26");
            this.Manager.Comment("reaching state \'S26\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp191;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp191);
            this.Manager.AddReturn(GetPlatformInfo, null, temp191);
            this.Manager.Comment("reaching state \'S27\'");
            int temp209 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker2)));
            if ((temp209 == 0)) {
                this.Manager.Comment("reaching state \'S119\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp192;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp192 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S239\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp192, "return of NetrServerReqChallenge, state S239");
                this.Manager.Comment("reaching state \'S359\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp193;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp193 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S479\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp193, "return of NetrServerAuthenticate3, state S479");
                this.Manager.Comment("reaching state \'S599\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp194;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=False,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp194 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            false,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S719\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp194, "return of NetrLogonGetDomainInfo, state S719");
                this.Manager.Comment("reaching state \'S839\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp195;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp195 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S959\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp195, "return of NetrServerReqChallenge, state S959");
                this.Manager.Comment("reaching state \'S1079\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp196;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp196 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1199\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp196, "return of NetrServerAuthenticate3, state S1199");
                this.Manager.Comment("reaching state \'S1319\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp197;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp197 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R287");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp197);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label10;
            }
            if ((temp209 == 1)) {
                this.Manager.Comment("reaching state \'S120\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp198;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp198 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S240\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp198, "return of NetrServerReqChallenge, state S240");
                this.Manager.Comment("reaching state \'S360\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp199;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp199 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S480\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp199, "return of NetrServerAuthenticate3, state S480");
                this.Manager.Comment("reaching state \'S600\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp200;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=False,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp200 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            false,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S720\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp200, "return of NetrLogonGetDomainInfo, state S720");
                this.Manager.Comment("reaching state \'S840\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp201;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp201 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S960\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp201, "return of NetrServerReqChallenge, state S960");
                this.Manager.Comment("reaching state \'S1080\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp202;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp202 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1200\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp202, "return of NetrServerAuthenticate3, state S1200");
                this.Manager.Comment("reaching state \'S1320\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp203;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp203 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R283");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp203);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label10;
            }
            if ((temp209 == 2)) {
                this.Manager.Comment("reaching state \'S121\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp204;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp204 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S241\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp204, "return of NetrServerReqChallenge, state S241");
                this.Manager.Comment("reaching state \'S361\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp205;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp205 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S481\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp205, "return of NetrServerAuthenticate3, state S481");
                this.Manager.Comment("reaching state \'S601\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp206;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp206 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S721\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp206, "return of NetrLogonGetDomainInfo, state S721");
                this.Manager.Comment("reaching state \'S841\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp207;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp207 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S961\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp207, "return of NetrServerReqChallenge, state S961");
                this.Manager.Comment("reaching state \'S1081\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp208;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp208 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1201\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp208, "return of NetrServerAuthenticate3, state S1201");
                this.Manager.Comment("reaching state \'S1321\'");
                goto label10;
            }
            throw new InvalidOperationException("never reached");
        label10:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S27");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S27");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS26GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S27");
        }
        #endregion
        
        #region Test Starting in S28
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28");
            this.Manager.Comment("reaching state \'S28\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp210;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp210);
            this.Manager.AddReturn(GetPlatformInfo, null, temp210);
            this.Manager.Comment("reaching state \'S29\'");
            int temp228 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker2)));
            if ((temp228 == 0)) {
                this.Manager.Comment("reaching state \'S122\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp211;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp211 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S242\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp211, "return of NetrServerReqChallenge, state S242");
                this.Manager.Comment("reaching state \'S362\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp212;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp212 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S482\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp212, "return of NetrServerAuthenticate3, state S482");
                this.Manager.Comment("reaching state \'S602\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp213;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=False,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp213 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            false,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S722\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp213, "return of NetrLogonGetDomainInfo, state S722");
                this.Manager.Comment("reaching state \'S842\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp214;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp214 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S962\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp214, "return of NetrServerReqChallenge, state S962");
                this.Manager.Comment("reaching state \'S1082\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp215;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp215 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1202\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp215, "return of NetrServerAuthenticate3, state S1202");
                this.Manager.Comment("reaching state \'S1322\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp216;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp216 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R292");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp216);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label11;
            }
            if ((temp228 == 1)) {
                this.Manager.Comment("reaching state \'S123\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp217;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp217 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S243\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp217, "return of NetrServerReqChallenge, state S243");
                this.Manager.Comment("reaching state \'S363\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp218;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp218 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S483\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp218, "return of NetrServerAuthenticate3, state S483");
                this.Manager.Comment("reaching state \'S603\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp219;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=False,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp219 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            false,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S723\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp219, "return of NetrLogonGetDomainInfo, state S723");
                this.Manager.Comment("reaching state \'S843\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp220;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp220 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S963\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp220, "return of NetrServerReqChallenge, state S963");
                this.Manager.Comment("reaching state \'S1083\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp221;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp221 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1203\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp221, "return of NetrServerAuthenticate3, state S1203");
                this.Manager.Comment("reaching state \'S1323\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp222;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp222 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R287");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp222);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label11;
            }
            if ((temp228 == 2)) {
                this.Manager.Comment("reaching state \'S124\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp223;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp223 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S244\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp223, "return of NetrServerReqChallenge, state S244");
                this.Manager.Comment("reaching state \'S364\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp224;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp224 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S484\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp224, "return of NetrServerAuthenticate3, state S484");
                this.Manager.Comment("reaching state \'S604\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp225;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp225 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S724\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp225, "return of NetrLogonGetDomainInfo, state S724");
                this.Manager.Comment("reaching state \'S844\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp226;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp226 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S964\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp226, "return of NetrServerReqChallenge, state S964");
                this.Manager.Comment("reaching state \'S1084\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp227;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp227 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1204\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp227, "return of NetrServerAuthenticate3, state S1204");
                this.Manager.Comment("reaching state \'S1324\'");
                goto label11;
            }
            throw new InvalidOperationException("never reached");
        label11:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S29");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S29");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS28GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S29");
        }
        #endregion
        
        #region Test Starting in S30
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30");
            this.Manager.Comment("reaching state \'S30\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp229;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp229);
            this.Manager.AddReturn(GetPlatformInfo, null, temp229);
            this.Manager.Comment("reaching state \'S31\'");
            int temp247 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker2)));
            if ((temp247 == 0)) {
                this.Manager.Comment("reaching state \'S125\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp230;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp230 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S245\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp230, "return of NetrServerReqChallenge, state S245");
                this.Manager.Comment("reaching state \'S365\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp231;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp231 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S485\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp231, "return of NetrServerAuthenticate3, state S485");
                this.Manager.Comment("reaching state \'S605\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp232;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp232 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S725\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp232, "return of NetrLogonGetDomainInfo, state S725");
                this.Manager.Comment("reaching state \'S845\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp233;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp233 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S965\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp233, "return of NetrServerReqChallenge, state S965");
                this.Manager.Comment("reaching state \'S1085\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp234;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp234 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1205\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp234, "return of NetrServerAuthenticate3, state S1205");
                this.Manager.Comment("reaching state \'S1325\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp235;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp235 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1414\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp235, "return of NetrLogonGetDomainInfo, state S1414");
                this.Manager.Comment("reaching state \'S1445\'");
                goto label12;
            }
            if ((temp247 == 1)) {
                this.Manager.Comment("reaching state \'S126\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp236;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp236 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S246\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp236, "return of NetrServerReqChallenge, state S246");
                this.Manager.Comment("reaching state \'S366\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp237;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp237 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S486\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp237, "return of NetrServerAuthenticate3, state S486");
                this.Manager.Comment("reaching state \'S606\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp238;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=False,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp238 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            false,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S726\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp238, "return of NetrLogonGetDomainInfo, state S726");
                this.Manager.Comment("reaching state \'S846\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp239;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp239 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S966\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp239, "return of NetrServerReqChallenge, state S966");
                this.Manager.Comment("reaching state \'S1086\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp240;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp240 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1206\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp240, "return of NetrServerAuthenticate3, state S1206");
                this.Manager.Comment("reaching state \'S1326\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp241;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp241 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R292");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp241);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label12;
            }
            if ((temp247 == 2)) {
                this.Manager.Comment("reaching state \'S127\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp242;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp242 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S247\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp242, "return of NetrServerReqChallenge, state S247");
                this.Manager.Comment("reaching state \'S367\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp243;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp243 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S487\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp243, "return of NetrServerAuthenticate3, state S487");
                this.Manager.Comment("reaching state \'S607\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp244;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp244 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S727\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp244, "return of NetrLogonGetDomainInfo, state S727");
                this.Manager.Comment("reaching state \'S847\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp245;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp245 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S967\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp245, "return of NetrServerReqChallenge, state S967");
                this.Manager.Comment("reaching state \'S1087\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp246;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp246 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1207\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp246, "return of NetrServerAuthenticate3, state S1207");
                this.Manager.Comment("reaching state \'S1327\'");
                goto label12;
            }
            throw new InvalidOperationException("never reached");
        label12:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S31");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S31");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS30GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S31");
        }
        #endregion
        
        #region Test Starting in S32
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32");
            this.Manager.Comment("reaching state \'S32\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp248;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp248);
            this.Manager.AddReturn(GetPlatformInfo, null, temp248);
            this.Manager.Comment("reaching state \'S33\'");
            int temp266 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker2)));
            if ((temp266 == 0)) {
                this.Manager.Comment("reaching state \'S128\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp249;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp249 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S248\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp249, "return of NetrServerReqChallenge, state S248");
                this.Manager.Comment("reaching state \'S368\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp250;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp250 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S488\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp250, "return of NetrServerAuthenticate3, state S488");
                this.Manager.Comment("reaching state \'S608\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp251;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp251 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S728\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp251, "return of NetrLogonGetDomainInfo, state S728");
                this.Manager.Comment("reaching state \'S848\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp252;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp252 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S968\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp252, "return of NetrServerReqChallenge, state S968");
                this.Manager.Comment("reaching state \'S1088\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp253;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp253 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1208\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp253, "return of NetrServerAuthenticate3, state S1208");
                this.Manager.Comment("reaching state \'S1328\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp254;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp254 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1415\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp254, "return of NetrLogonGetDomainInfo, state S1415");
                this.Manager.Comment("reaching state \'S1446\'");
                goto label13;
            }
            if ((temp266 == 1)) {
                this.Manager.Comment("reaching state \'S129\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp255;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp255 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S249\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp255, "return of NetrServerReqChallenge, state S249");
                this.Manager.Comment("reaching state \'S369\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp256;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp256 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S489\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp256, "return of NetrServerAuthenticate3, state S489");
                this.Manager.Comment("reaching state \'S609\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp257;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp257 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S729\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp257, "return of NetrLogonGetDomainInfo, state S729");
                this.Manager.Comment("reaching state \'S849\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp258;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp258 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S969\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp258, "return of NetrServerReqChallenge, state S969");
                this.Manager.Comment("reaching state \'S1089\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp259;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp259 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1209\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp259, "return of NetrServerAuthenticate3, state S1209");
                this.Manager.Comment("reaching state \'S1329\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp260;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp260 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1416\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp260, "return of NetrLogonGetDomainInfo, state S1416");
                this.Manager.Comment("reaching state \'S1447\'");
                goto label13;
            }
            if ((temp266 == 2)) {
                this.Manager.Comment("reaching state \'S130\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp261;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp261 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S250\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp261, "return of NetrServerReqChallenge, state S250");
                this.Manager.Comment("reaching state \'S370\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp262;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp262 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S490\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp262, "return of NetrServerAuthenticate3, state S490");
                this.Manager.Comment("reaching state \'S610\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp263;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp263 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S730\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp263, "return of NetrLogonGetDomainInfo, state S730");
                this.Manager.Comment("reaching state \'S850\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp264;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp264 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S970\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp264, "return of NetrServerReqChallenge, state S970");
                this.Manager.Comment("reaching state \'S1090\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp265;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp265 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1210\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp265, "return of NetrServerAuthenticate3, state S1210");
                this.Manager.Comment("reaching state \'S1330\'");
                goto label13;
            }
            throw new InvalidOperationException("never reached");
        label13:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S33");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S33");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS32GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S33");
        }
        #endregion
        
        #region Test Starting in S34
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34");
            this.Manager.Comment("reaching state \'S34\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp267;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp267);
            this.Manager.AddReturn(GetPlatformInfo, null, temp267);
            this.Manager.Comment("reaching state \'S35\'");
            int temp285 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker2)));
            if ((temp285 == 0)) {
                this.Manager.Comment("reaching state \'S131\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp268;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp268 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S251\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp268, "return of NetrServerReqChallenge, state S251");
                this.Manager.Comment("reaching state \'S371\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp269;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp269 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S491\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp269, "return of NetrServerAuthenticate3, state S491");
                this.Manager.Comment("reaching state \'S611\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp270;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp270 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S731\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp270, "return of NetrLogonGetDomainInfo, state S731");
                this.Manager.Comment("reaching state \'S851\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp271;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp271 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S971\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp271, "return of NetrServerReqChallenge, state S971");
                this.Manager.Comment("reaching state \'S1091\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp272;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp272 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1211\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp272, "return of NetrServerAuthenticate3, state S1211");
                this.Manager.Comment("reaching state \'S1331\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp273;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp273 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1417\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp273, "return of NetrLogonGetDomainInfo, state S1417");
                this.Manager.Comment("reaching state \'S1448\'");
                goto label14;
            }
            if ((temp285 == 1)) {
                this.Manager.Comment("reaching state \'S132\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp274;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp274 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S252\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp274, "return of NetrServerReqChallenge, state S252");
                this.Manager.Comment("reaching state \'S372\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp275;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp275 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S492\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp275, "return of NetrServerAuthenticate3, state S492");
                this.Manager.Comment("reaching state \'S612\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp276;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp276 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S732\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp276, "return of NetrLogonGetDomainInfo, state S732");
                this.Manager.Comment("reaching state \'S852\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp277;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp277 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S972\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp277, "return of NetrServerReqChallenge, state S972");
                this.Manager.Comment("reaching state \'S1092\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp278;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp278 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1212\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp278, "return of NetrServerAuthenticate3, state S1212");
                this.Manager.Comment("reaching state \'S1332\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp279;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp279 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1418\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp279, "return of NetrLogonGetDomainInfo, state S1418");
                this.Manager.Comment("reaching state \'S1449\'");
                goto label14;
            }
            if ((temp285 == 2)) {
                this.Manager.Comment("reaching state \'S133\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp280;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp280 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S253\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp280, "return of NetrServerReqChallenge, state S253");
                this.Manager.Comment("reaching state \'S373\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp281;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp281 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S493\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp281, "return of NetrServerAuthenticate3, state S493");
                this.Manager.Comment("reaching state \'S613\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp282;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp282 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S733\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp282, "return of NetrLogonGetDomainInfo, state S733");
                this.Manager.Comment("reaching state \'S853\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp283;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp283 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S973\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp283, "return of NetrServerReqChallenge, state S973");
                this.Manager.Comment("reaching state \'S1093\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp284;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp284 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1213\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp284, "return of NetrServerAuthenticate3, state S1213");
                this.Manager.Comment("reaching state \'S1333\'");
                goto label14;
            }
            throw new InvalidOperationException("never reached");
        label14:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S35");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S35");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS34GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S35");
        }
        #endregion
        
        #region Test Starting in S36
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36");
            this.Manager.Comment("reaching state \'S36\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp286;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp286);
            this.Manager.AddReturn(GetPlatformInfo, null, temp286);
            this.Manager.Comment("reaching state \'S37\'");
            int temp304 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker2)));
            if ((temp304 == 0)) {
                this.Manager.Comment("reaching state \'S134\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp287;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp287 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S254\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp287, "return of NetrServerReqChallenge, state S254");
                this.Manager.Comment("reaching state \'S374\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp288;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp288 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S494\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp288, "return of NetrServerAuthenticate3, state S494");
                this.Manager.Comment("reaching state \'S614\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp289;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp289 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S734\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp289, "return of NetrLogonGetDomainInfo, state S734");
                this.Manager.Comment("reaching state \'S854\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp290;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp290 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S974\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp290, "return of NetrServerReqChallenge, state S974");
                this.Manager.Comment("reaching state \'S1094\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp291;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp291 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1214\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp291, "return of NetrServerAuthenticate3, state S1214");
                this.Manager.Comment("reaching state \'S1334\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp292;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp292 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp292);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label15;
            }
            if ((temp304 == 1)) {
                this.Manager.Comment("reaching state \'S135\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp293;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp293 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S255\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp293, "return of NetrServerReqChallenge, state S255");
                this.Manager.Comment("reaching state \'S375\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp294;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp294 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S495\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp294, "return of NetrServerAuthenticate3, state S495");
                this.Manager.Comment("reaching state \'S615\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp295;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp295 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S735\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp295, "return of NetrLogonGetDomainInfo, state S735");
                this.Manager.Comment("reaching state \'S855\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp296;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp296 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S975\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp296, "return of NetrServerReqChallenge, state S975");
                this.Manager.Comment("reaching state \'S1095\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp297;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp297 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1215\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp297, "return of NetrServerAuthenticate3, state S1215");
                this.Manager.Comment("reaching state \'S1335\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp298;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp298 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1419\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp298, "return of NetrLogonGetDomainInfo, state S1419");
                this.Manager.Comment("reaching state \'S1450\'");
                goto label15;
            }
            if ((temp304 == 2)) {
                this.Manager.Comment("reaching state \'S136\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp299;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp299 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S256\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp299, "return of NetrServerReqChallenge, state S256");
                this.Manager.Comment("reaching state \'S376\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp300;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp300 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S496\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp300, "return of NetrServerAuthenticate3, state S496");
                this.Manager.Comment("reaching state \'S616\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp301;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp301 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S736\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp301, "return of NetrLogonGetDomainInfo, state S736");
                this.Manager.Comment("reaching state \'S856\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp302;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp302 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S976\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp302, "return of NetrServerReqChallenge, state S976");
                this.Manager.Comment("reaching state \'S1096\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp303;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp303 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1216\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp303, "return of NetrServerAuthenticate3, state S1216");
                this.Manager.Comment("reaching state \'S1336\'");
                goto label15;
            }
            throw new InvalidOperationException("never reached");
        label15:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S37");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S37");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS36GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S37");
        }
        #endregion
        
        #region Test Starting in S38
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38");
            this.Manager.Comment("reaching state \'S38\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp305;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp305);
            this.Manager.AddReturn(GetPlatformInfo, null, temp305);
            this.Manager.Comment("reaching state \'S39\'");
            int temp323 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker2)));
            if ((temp323 == 0)) {
                this.Manager.Comment("reaching state \'S137\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp306;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp306 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S257\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp306, "return of NetrServerReqChallenge, state S257");
                this.Manager.Comment("reaching state \'S377\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp307;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp307 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S497\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp307, "return of NetrServerAuthenticate3, state S497");
                this.Manager.Comment("reaching state \'S617\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp308;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp308 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S737\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp308, "return of NetrLogonGetDomainInfo, state S737");
                this.Manager.Comment("reaching state \'S857\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp309;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp309 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S977\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp309, "return of NetrServerReqChallenge, state S977");
                this.Manager.Comment("reaching state \'S1097\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp310;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp310 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1217\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp310, "return of NetrServerAuthenticate3, state S1217");
                this.Manager.Comment("reaching state \'S1337\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp311;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp311 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1420\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp311, "return of NetrLogonGetDomainInfo, state S1420");
                this.Manager.Comment("reaching state \'S1451\'");
                goto label16;
            }
            if ((temp323 == 1)) {
                this.Manager.Comment("reaching state \'S138\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp312;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp312 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S258\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp312, "return of NetrServerReqChallenge, state S258");
                this.Manager.Comment("reaching state \'S378\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp313;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp313 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S498\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp313, "return of NetrServerAuthenticate3, state S498");
                this.Manager.Comment("reaching state \'S618\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp314;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp314 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S738\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp314, "return of NetrLogonGetDomainInfo, state S738");
                this.Manager.Comment("reaching state \'S858\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp315;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp315 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S978\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp315, "return of NetrServerReqChallenge, state S978");
                this.Manager.Comment("reaching state \'S1098\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp316;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp316 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1218\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp316, "return of NetrServerAuthenticate3, state S1218");
                this.Manager.Comment("reaching state \'S1338\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp317;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp317 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp317);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label16;
            }
            if ((temp323 == 2)) {
                this.Manager.Comment("reaching state \'S139\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp318;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp318 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S259\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp318, "return of NetrServerReqChallenge, state S259");
                this.Manager.Comment("reaching state \'S379\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp319;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp319 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S499\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp319, "return of NetrServerAuthenticate3, state S499");
                this.Manager.Comment("reaching state \'S619\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp320;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp320 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S739\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp320, "return of NetrLogonGetDomainInfo, state S739");
                this.Manager.Comment("reaching state \'S859\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp321;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp321 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S979\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp321, "return of NetrServerReqChallenge, state S979");
                this.Manager.Comment("reaching state \'S1099\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp322;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp322 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1219\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp322, "return of NetrServerAuthenticate3, state S1219");
                this.Manager.Comment("reaching state \'S1339\'");
                goto label16;
            }
            throw new InvalidOperationException("never reached");
        label16:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S39");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S39");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS38GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S39");
        }
        #endregion
        
        #region Test Starting in S4
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4");
            this.Manager.Comment("reaching state \'S4\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp324;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp324);
            this.Manager.AddReturn(GetPlatformInfo, null, temp324);
            this.Manager.Comment("reaching state \'S5\'");
            int temp342 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker2)));
            if ((temp342 == 0)) {
                this.Manager.Comment("reaching state \'S86\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp325;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp325 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S206\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp325, "return of NetrServerReqChallenge, state S206");
                this.Manager.Comment("reaching state \'S326\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp326;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp326 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S446\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp326, "return of NetrServerAuthenticate3, state S446");
                this.Manager.Comment("reaching state \'S566\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp327;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=False,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp327 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S686\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp327, "return of NetrLogonGetDomainInfo, state S686");
                this.Manager.Comment("reaching state \'S806\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp328;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp328 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S926\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp328, "return of NetrServerReqChallenge, state S926");
                this.Manager.Comment("reaching state \'S1046\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp329;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp329 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1166\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp329, "return of NetrServerAuthenticate3, state S1166");
                this.Manager.Comment("reaching state \'S1286\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp330;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp330 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R239");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp330);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label17;
            }
            if ((temp342 == 1)) {
                this.Manager.Comment("reaching state \'S87\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp331;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp331 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S207\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp331, "return of NetrServerReqChallenge, state S207");
                this.Manager.Comment("reaching state \'S327\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp332;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp332 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S447\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp332, "return of NetrServerAuthenticate3, state S447");
                this.Manager.Comment("reaching state \'S567\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp333;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp333 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S687\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp333, "return of NetrLogonGetDomainInfo, state S687");
                this.Manager.Comment("reaching state \'S807\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp334;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp334 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S927\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp334, "return of NetrServerReqChallenge, state S927");
                this.Manager.Comment("reaching state \'S1047\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp335;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp335 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1167\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp335, "return of NetrServerAuthenticate3, state S1167");
                this.Manager.Comment("reaching state \'S1287\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp336;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp336 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1406\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp336, "return of NetrLogonGetDomainInfo, state S1406");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1439();
                goto label17;
            }
            if ((temp342 == 2)) {
                this.Manager.Comment("reaching state \'S88\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp337;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp337 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S208\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp337, "return of NetrServerReqChallenge, state S208");
                this.Manager.Comment("reaching state \'S328\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp338;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp338 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S448\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp338, "return of NetrServerAuthenticate3, state S448");
                this.Manager.Comment("reaching state \'S568\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp339;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp339 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S688\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp339, "return of NetrLogonGetDomainInfo, state S688");
                this.Manager.Comment("reaching state \'S808\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp340;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp340 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S928\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp340, "return of NetrServerReqChallenge, state S928");
                this.Manager.Comment("reaching state \'S1048\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp341;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp341 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1168\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp341, "return of NetrServerAuthenticate3, state S1168");
                this.Manager.Comment("reaching state \'S1288\'");
                goto label17;
            }
            throw new InvalidOperationException("never reached");
        label17:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S5");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S5");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1439() {
            this.Manager.Comment("reaching state \'S1439\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS4GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S5");
        }
        #endregion
        
        #region Test Starting in S40
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40");
            this.Manager.Comment("reaching state \'S40\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp343;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp343);
            this.Manager.AddReturn(GetPlatformInfo, null, temp343);
            this.Manager.Comment("reaching state \'S41\'");
            int temp361 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker2)));
            if ((temp361 == 0)) {
                this.Manager.Comment("reaching state \'S140\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp344;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp344 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S260\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp344, "return of NetrServerReqChallenge, state S260");
                this.Manager.Comment("reaching state \'S380\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp345;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp345 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S500\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp345, "return of NetrServerAuthenticate3, state S500");
                this.Manager.Comment("reaching state \'S620\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp346;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp346 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S740\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp346, "return of NetrLogonGetDomainInfo, state S740");
                this.Manager.Comment("reaching state \'S860\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp347;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp347 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S980\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp347, "return of NetrServerReqChallenge, state S980");
                this.Manager.Comment("reaching state \'S1100\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp348;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp348 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1220\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp348, "return of NetrServerAuthenticate3, state S1220");
                this.Manager.Comment("reaching state \'S1340\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp349;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp349 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1421\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp349, "return of NetrLogonGetDomainInfo, state S1421");
                this.Manager.Comment("reaching state \'S1452\'");
                goto label18;
            }
            if ((temp361 == 1)) {
                this.Manager.Comment("reaching state \'S141\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp350;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp350 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S261\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp350, "return of NetrServerReqChallenge, state S261");
                this.Manager.Comment("reaching state \'S381\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp351;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp351 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S501\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp351, "return of NetrServerAuthenticate3, state S501");
                this.Manager.Comment("reaching state \'S621\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp352;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp352 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S741\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp352, "return of NetrLogonGetDomainInfo, state S741");
                this.Manager.Comment("reaching state \'S861\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp353;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp353 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S981\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp353, "return of NetrServerReqChallenge, state S981");
                this.Manager.Comment("reaching state \'S1101\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp354;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp354 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1221\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp354, "return of NetrServerAuthenticate3, state S1221");
                this.Manager.Comment("reaching state \'S1341\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp355;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp355 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1422\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp355, "return of NetrLogonGetDomainInfo, state S1422");
                this.Manager.Comment("reaching state \'S1453\'");
                goto label18;
            }
            if ((temp361 == 2)) {
                this.Manager.Comment("reaching state \'S142\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp356;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp356 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S262\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp356, "return of NetrServerReqChallenge, state S262");
                this.Manager.Comment("reaching state \'S382\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp357;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp357 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S502\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp357, "return of NetrServerAuthenticate3, state S502");
                this.Manager.Comment("reaching state \'S622\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp358;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp358 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S742\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp358, "return of NetrLogonGetDomainInfo, state S742");
                this.Manager.Comment("reaching state \'S862\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp359;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp359 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S982\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp359, "return of NetrServerReqChallenge, state S982");
                this.Manager.Comment("reaching state \'S1102\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp360;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp360 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1222\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp360, "return of NetrServerAuthenticate3, state S1222");
                this.Manager.Comment("reaching state \'S1342\'");
                goto label18;
            }
            throw new InvalidOperationException("never reached");
        label18:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S41");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S41");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS40GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S41");
        }
        #endregion
        
        #region Test Starting in S42
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42");
            this.Manager.Comment("reaching state \'S42\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp362;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp362);
            this.Manager.AddReturn(GetPlatformInfo, null, temp362);
            this.Manager.Comment("reaching state \'S43\'");
            int temp380 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker2)));
            if ((temp380 == 0)) {
                this.Manager.Comment("reaching state \'S143\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp363;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp363 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S263\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp363, "return of NetrServerReqChallenge, state S263");
                this.Manager.Comment("reaching state \'S383\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp364;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp364 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S503\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp364, "return of NetrServerAuthenticate3, state S503");
                this.Manager.Comment("reaching state \'S623\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp365;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp365 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S743\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp365, "return of NetrLogonGetDomainInfo, state S743");
                this.Manager.Comment("reaching state \'S863\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp366;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp366 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S983\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp366, "return of NetrServerReqChallenge, state S983");
                this.Manager.Comment("reaching state \'S1103\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp367;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp367 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1223\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp367, "return of NetrServerAuthenticate3, state S1223");
                this.Manager.Comment("reaching state \'S1343\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp368;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(NonDcServer,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp368 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.NonDcServer, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R425");
                this.Manager.Checkpoint("MS-NRPC_R1525");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1423\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_NOT_SUPPORTED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_NOT_SUPPORTED, temp368, "return of NetrLogonGetDomainInfo, state S1423");
                this.Manager.Comment("reaching state \'S1454\'");
                goto label19;
            }
            if ((temp380 == 1)) {
                this.Manager.Comment("reaching state \'S144\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp369;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp369 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S264\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp369, "return of NetrServerReqChallenge, state S264");
                this.Manager.Comment("reaching state \'S384\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp370;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp370 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S504\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp370, "return of NetrServerAuthenticate3, state S504");
                this.Manager.Comment("reaching state \'S624\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp371;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=False,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp371 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S744\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp371, "return of NetrLogonGetDomainInfo, state S744");
                this.Manager.Comment("reaching state \'S864\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp372;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp372 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S984\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp372, "return of NetrServerReqChallenge, state S984");
                this.Manager.Comment("reaching state \'S1104\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp373;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp373 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1224\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp373, "return of NetrServerAuthenticate3, state S1224");
                this.Manager.Comment("reaching state \'S1344\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp374;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp374 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R239");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp374);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label19;
            }
            if ((temp380 == 2)) {
                this.Manager.Comment("reaching state \'S145\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp375;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp375 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S265\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp375, "return of NetrServerReqChallenge, state S265");
                this.Manager.Comment("reaching state \'S385\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp376;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp376 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S505\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp376, "return of NetrServerAuthenticate3, state S505");
                this.Manager.Comment("reaching state \'S625\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp377;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp377 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S745\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp377, "return of NetrLogonGetDomainInfo, state S745");
                this.Manager.Comment("reaching state \'S865\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp378;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp378 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S985\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp378, "return of NetrServerReqChallenge, state S985");
                this.Manager.Comment("reaching state \'S1105\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp379;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp379 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1225\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp379, "return of NetrServerAuthenticate3, state S1225");
                this.Manager.Comment("reaching state \'S1345\'");
                goto label19;
            }
            throw new InvalidOperationException("never reached");
        label19:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S43");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S43");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424() {
            this.Manager.Comment("reaching state \'S1424\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42NetrLogonGetDomainInfoChecker)));
            this.Manager.Comment("reaching state \'S1455\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42NetrLogonGetDomainInfoChecker(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1424");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS42GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S43");
        }
        #endregion
        
        #region Test Starting in S44
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44");
            this.Manager.Comment("reaching state \'S44\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp381;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp381);
            this.Manager.AddReturn(GetPlatformInfo, null, temp381);
            this.Manager.Comment("reaching state \'S45\'");
            int temp398 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker2)));
            if ((temp398 == 0)) {
                this.Manager.Comment("reaching state \'S146\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp382;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp382 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S266\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp382, "return of NetrServerReqChallenge, state S266");
                this.Manager.Comment("reaching state \'S386\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp383;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp383 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S506\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp383, "return of NetrServerAuthenticate3, state S506");
                this.Manager.Comment("reaching state \'S626\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp384;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp384 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S746\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp384, "return of NetrLogonGetDomainInfo, state S746");
                this.Manager.Comment("reaching state \'S866\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp385;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp385 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S986\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp385, "return of NetrServerReqChallenge, state S986");
                this.Manager.Comment("reaching state \'S1106\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp386;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp386 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1226\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp386, "return of NetrServerAuthenticate3, state S1226");
                this.Manager.Comment("reaching state \'S1346\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp387;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp387 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1425\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp387, "return of NetrLogonGetDomainInfo, state S1425");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1436();
                goto label20;
            }
            if ((temp398 == 1)) {
                this.Manager.Comment("reaching state \'S147\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp388;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp388 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S267\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp388, "return of NetrServerReqChallenge, state S267");
                this.Manager.Comment("reaching state \'S387\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp389;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp389 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S507\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp389, "return of NetrServerAuthenticate3, state S507");
                this.Manager.Comment("reaching state \'S627\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp390;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp390 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S747\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp390, "return of NetrLogonGetDomainInfo, state S747");
                this.Manager.Comment("reaching state \'S867\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp391;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp391 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S987\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp391, "return of NetrServerReqChallenge, state S987");
                this.Manager.Comment("reaching state \'S1107\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp392;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp392 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1227\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp392, "return of NetrServerAuthenticate3, state S1227");
                this.Manager.Comment("reaching state \'S1347\'");
                goto label20;
            }
            if ((temp398 == 2)) {
                this.Manager.Comment("reaching state \'S148\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp393;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp393 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S268\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp393, "return of NetrServerReqChallenge, state S268");
                this.Manager.Comment("reaching state \'S388\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp394;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp394 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S508\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp394, "return of NetrServerAuthenticate3, state S508");
                this.Manager.Comment("reaching state \'S628\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp395;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp395 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S748\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp395, "return of NetrLogonGetDomainInfo, state S748");
                this.Manager.Comment("reaching state \'S868\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp396;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp396 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S988\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp396, "return of NetrServerReqChallenge, state S988");
                this.Manager.Comment("reaching state \'S1108\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp397;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp397 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1228\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp397, "return of NetrServerAuthenticate3, state S1228");
                this.Manager.Comment("reaching state \'S1348\'");
                goto label20;
            }
            throw new InvalidOperationException("never reached");
        label20:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S45");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S45");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS44GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S45");
        }
        #endregion
        
        #region Test Starting in S46
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46");
            this.Manager.Comment("reaching state \'S46\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp399;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp399);
            this.Manager.AddReturn(GetPlatformInfo, null, temp399);
            this.Manager.Comment("reaching state \'S47\'");
            int temp416 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker2)));
            if ((temp416 == 0)) {
                this.Manager.Comment("reaching state \'S149\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp400;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp400 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S269\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp400, "return of NetrServerReqChallenge, state S269");
                this.Manager.Comment("reaching state \'S389\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp401;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp401 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S509\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp401, "return of NetrServerAuthenticate3, state S509");
                this.Manager.Comment("reaching state \'S629\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp402;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=False,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp402 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S749\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp402, "return of NetrLogonGetDomainInfo, state S749");
                this.Manager.Comment("reaching state \'S869\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp403;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp403 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S989\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp403, "return of NetrServerReqChallenge, state S989");
                this.Manager.Comment("reaching state \'S1109\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp404;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp404 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1229\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp404, "return of NetrServerAuthenticate3, state S1229");
                this.Manager.Comment("reaching state \'S1349\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp405;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp405 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R243");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp405);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label21;
            }
            if ((temp416 == 1)) {
                this.Manager.Comment("reaching state \'S150\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp406;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp406 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S270\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp406, "return of NetrServerReqChallenge, state S270");
                this.Manager.Comment("reaching state \'S390\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp407;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp407 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S510\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp407, "return of NetrServerAuthenticate3, state S510");
                this.Manager.Comment("reaching state \'S630\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp408;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp408 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S750\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp408, "return of NetrLogonGetDomainInfo, state S750");
                this.Manager.Comment("reaching state \'S870\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp409;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp409 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S990\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp409, "return of NetrServerReqChallenge, state S990");
                this.Manager.Comment("reaching state \'S1110\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp410;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp410 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1230\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp410, "return of NetrServerAuthenticate3, state S1230");
                this.Manager.Comment("reaching state \'S1350\'");
                goto label21;
            }
            if ((temp416 == 2)) {
                this.Manager.Comment("reaching state \'S151\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp411;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp411 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S271\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp411, "return of NetrServerReqChallenge, state S271");
                this.Manager.Comment("reaching state \'S391\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp412;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp412 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S511\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp412, "return of NetrServerAuthenticate3, state S511");
                this.Manager.Comment("reaching state \'S631\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp413;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp413 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S751\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp413, "return of NetrLogonGetDomainInfo, state S751");
                this.Manager.Comment("reaching state \'S871\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp414;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp414 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S991\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp414, "return of NetrServerReqChallenge, state S991");
                this.Manager.Comment("reaching state \'S1111\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp415;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp415 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1231\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp415, "return of NetrServerAuthenticate3, state S1231");
                this.Manager.Comment("reaching state \'S1351\'");
                goto label21;
            }
            throw new InvalidOperationException("never reached");
        label21:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S47");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S47");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS46GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S47");
        }
        #endregion
        
        #region Test Starting in S48
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48");
            this.Manager.Comment("reaching state \'S48\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp417;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp417);
            this.Manager.AddReturn(GetPlatformInfo, null, temp417);
            this.Manager.Comment("reaching state \'S49\'");
            int temp434 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker2)));
            if ((temp434 == 0)) {
                this.Manager.Comment("reaching state \'S152\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp418;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp418 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S272\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp418, "return of NetrServerReqChallenge, state S272");
                this.Manager.Comment("reaching state \'S392\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp419;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp419 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S512\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp419, "return of NetrServerAuthenticate3, state S512");
                this.Manager.Comment("reaching state \'S632\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp420;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=False,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp420 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S752\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp420, "return of NetrLogonGetDomainInfo, state S752");
                this.Manager.Comment("reaching state \'S872\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp421;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp421 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S992\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp421, "return of NetrServerReqChallenge, state S992");
                this.Manager.Comment("reaching state \'S1112\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp422;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp422 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1232\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp422, "return of NetrServerAuthenticate3, state S1232");
                this.Manager.Comment("reaching state \'S1352\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp423;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp423 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R247");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp423);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label22;
            }
            if ((temp434 == 1)) {
                this.Manager.Comment("reaching state \'S153\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp424;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp424 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S273\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp424, "return of NetrServerReqChallenge, state S273");
                this.Manager.Comment("reaching state \'S393\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp425;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp425 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S513\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp425, "return of NetrServerAuthenticate3, state S513");
                this.Manager.Comment("reaching state \'S633\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp426;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp426 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S753\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp426, "return of NetrLogonGetDomainInfo, state S753");
                this.Manager.Comment("reaching state \'S873\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp427;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp427 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S993\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp427, "return of NetrServerReqChallenge, state S993");
                this.Manager.Comment("reaching state \'S1113\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp428;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp428 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1233\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp428, "return of NetrServerAuthenticate3, state S1233");
                this.Manager.Comment("reaching state \'S1353\'");
                goto label22;
            }
            if ((temp434 == 2)) {
                this.Manager.Comment("reaching state \'S154\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp429;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp429 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S274\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp429, "return of NetrServerReqChallenge, state S274");
                this.Manager.Comment("reaching state \'S394\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp430;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp430 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S514\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp430, "return of NetrServerAuthenticate3, state S514");
                this.Manager.Comment("reaching state \'S634\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp431;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp431 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S754\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp431, "return of NetrLogonGetDomainInfo, state S754");
                this.Manager.Comment("reaching state \'S874\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp432;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp432 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S994\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp432, "return of NetrServerReqChallenge, state S994");
                this.Manager.Comment("reaching state \'S1114\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp433;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp433 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1234\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp433, "return of NetrServerAuthenticate3, state S1234");
                this.Manager.Comment("reaching state \'S1354\'");
                goto label22;
            }
            throw new InvalidOperationException("never reached");
        label22:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S49");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S49");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS48GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S49");
        }
        #endregion
        
        #region Test Starting in S50
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50");
            this.Manager.Comment("reaching state \'S50\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp435;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp435);
            this.Manager.AddReturn(GetPlatformInfo, null, temp435);
            this.Manager.Comment("reaching state \'S51\'");
            int temp452 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker2)));
            if ((temp452 == 0)) {
                this.Manager.Comment("reaching state \'S155\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp436;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp436 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S275\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp436, "return of NetrServerReqChallenge, state S275");
                this.Manager.Comment("reaching state \'S395\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp437;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp437 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S515\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp437, "return of NetrServerAuthenticate3, state S515");
                this.Manager.Comment("reaching state \'S635\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp438;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=False,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp438 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S755\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp438, "return of NetrLogonGetDomainInfo, state S755");
                this.Manager.Comment("reaching state \'S875\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp439;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp439 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S995\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp439, "return of NetrServerReqChallenge, state S995");
                this.Manager.Comment("reaching state \'S1115\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp440;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp440 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1235\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp440, "return of NetrServerAuthenticate3, state S1235");
                this.Manager.Comment("reaching state \'S1355\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp441;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp441 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R251");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp441);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label23;
            }
            if ((temp452 == 1)) {
                this.Manager.Comment("reaching state \'S156\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp442;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp442 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S276\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp442, "return of NetrServerReqChallenge, state S276");
                this.Manager.Comment("reaching state \'S396\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp443;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp443 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S516\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp443, "return of NetrServerAuthenticate3, state S516");
                this.Manager.Comment("reaching state \'S636\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp444;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp444 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S756\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp444, "return of NetrLogonGetDomainInfo, state S756");
                this.Manager.Comment("reaching state \'S876\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp445;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp445 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S996\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp445, "return of NetrServerReqChallenge, state S996");
                this.Manager.Comment("reaching state \'S1116\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp446;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp446 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1236\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp446, "return of NetrServerAuthenticate3, state S1236");
                this.Manager.Comment("reaching state \'S1356\'");
                goto label23;
            }
            if ((temp452 == 2)) {
                this.Manager.Comment("reaching state \'S157\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp447;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp447 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S277\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp447, "return of NetrServerReqChallenge, state S277");
                this.Manager.Comment("reaching state \'S397\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp448;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp448 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S517\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp448, "return of NetrServerAuthenticate3, state S517");
                this.Manager.Comment("reaching state \'S637\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp449;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp449 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S757\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp449, "return of NetrLogonGetDomainInfo, state S757");
                this.Manager.Comment("reaching state \'S877\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp450;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp450 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S997\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp450, "return of NetrServerReqChallenge, state S997");
                this.Manager.Comment("reaching state \'S1117\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp451;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp451 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1237\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp451, "return of NetrServerAuthenticate3, state S1237");
                this.Manager.Comment("reaching state \'S1357\'");
                goto label23;
            }
            throw new InvalidOperationException("never reached");
        label23:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S51");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S51");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS50GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S51");
        }
        #endregion
        
        #region Test Starting in S52
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52");
            this.Manager.Comment("reaching state \'S52\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp453;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp453);
            this.Manager.AddReturn(GetPlatformInfo, null, temp453);
            this.Manager.Comment("reaching state \'S53\'");
            int temp470 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker2)));
            if ((temp470 == 0)) {
                this.Manager.Comment("reaching state \'S158\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp454;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp454 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S278\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp454, "return of NetrServerReqChallenge, state S278");
                this.Manager.Comment("reaching state \'S398\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp455;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp455 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S518\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp455, "return of NetrServerAuthenticate3, state S518");
                this.Manager.Comment("reaching state \'S638\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp456;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=False,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp456 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S758\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp456, "return of NetrLogonGetDomainInfo, state S758");
                this.Manager.Comment("reaching state \'S878\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp457;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp457 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S998\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp457, "return of NetrServerReqChallenge, state S998");
                this.Manager.Comment("reaching state \'S1118\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp458;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp458 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1238\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp458, "return of NetrServerAuthenticate3, state S1238");
                this.Manager.Comment("reaching state \'S1358\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp459;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp459 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R266");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp459);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label24;
            }
            if ((temp470 == 1)) {
                this.Manager.Comment("reaching state \'S159\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp460;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp460 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S279\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp460, "return of NetrServerReqChallenge, state S279");
                this.Manager.Comment("reaching state \'S399\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp461;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp461 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S519\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp461, "return of NetrServerAuthenticate3, state S519");
                this.Manager.Comment("reaching state \'S639\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp462;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp462 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S759\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp462, "return of NetrLogonGetDomainInfo, state S759");
                this.Manager.Comment("reaching state \'S879\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp463;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp463 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S999\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp463, "return of NetrServerReqChallenge, state S999");
                this.Manager.Comment("reaching state \'S1119\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp464;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp464 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1239\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp464, "return of NetrServerAuthenticate3, state S1239");
                this.Manager.Comment("reaching state \'S1359\'");
                goto label24;
            }
            if ((temp470 == 2)) {
                this.Manager.Comment("reaching state \'S160\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp465;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp465 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S280\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp465, "return of NetrServerReqChallenge, state S280");
                this.Manager.Comment("reaching state \'S400\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp466;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp466 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S520\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp466, "return of NetrServerAuthenticate3, state S520");
                this.Manager.Comment("reaching state \'S640\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp467;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp467 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S760\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp467, "return of NetrLogonGetDomainInfo, state S760");
                this.Manager.Comment("reaching state \'S880\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp468;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp468 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1000\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp468, "return of NetrServerReqChallenge, state S1000");
                this.Manager.Comment("reaching state \'S1120\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp469;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp469 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1240\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp469, "return of NetrServerAuthenticate3, state S1240");
                this.Manager.Comment("reaching state \'S1360\'");
                goto label24;
            }
            throw new InvalidOperationException("never reached");
        label24:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S53");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S53");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS52GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S53");
        }
        #endregion
        
        #region Test Starting in S54
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54");
            this.Manager.Comment("reaching state \'S54\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp471;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp471);
            this.Manager.AddReturn(GetPlatformInfo, null, temp471);
            this.Manager.Comment("reaching state \'S55\'");
            int temp488 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker2)));
            if ((temp488 == 0)) {
                this.Manager.Comment("reaching state \'S161\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp472;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp472 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S281\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp472, "return of NetrServerReqChallenge, state S281");
                this.Manager.Comment("reaching state \'S401\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp473;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp473 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S521\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp473, "return of NetrServerAuthenticate3, state S521");
                this.Manager.Comment("reaching state \'S641\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp474;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=False,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp474 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S761\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp474, "return of NetrLogonGetDomainInfo, state S761");
                this.Manager.Comment("reaching state \'S881\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp475;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp475 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1001\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp475, "return of NetrServerReqChallenge, state S1001");
                this.Manager.Comment("reaching state \'S1121\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp476;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp476 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1241\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp476, "return of NetrServerAuthenticate3, state S1241");
                this.Manager.Comment("reaching state \'S1361\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp477;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp477 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R270");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp477);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label25;
            }
            if ((temp488 == 1)) {
                this.Manager.Comment("reaching state \'S162\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp478;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp478 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S282\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp478, "return of NetrServerReqChallenge, state S282");
                this.Manager.Comment("reaching state \'S402\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp479;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp479 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S522\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp479, "return of NetrServerAuthenticate3, state S522");
                this.Manager.Comment("reaching state \'S642\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp480;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp480 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S762\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp480, "return of NetrLogonGetDomainInfo, state S762");
                this.Manager.Comment("reaching state \'S882\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp481;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp481 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1002\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp481, "return of NetrServerReqChallenge, state S1002");
                this.Manager.Comment("reaching state \'S1122\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp482;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp482 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1242\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp482, "return of NetrServerAuthenticate3, state S1242");
                this.Manager.Comment("reaching state \'S1362\'");
                goto label25;
            }
            if ((temp488 == 2)) {
                this.Manager.Comment("reaching state \'S163\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp483;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp483 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S283\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp483, "return of NetrServerReqChallenge, state S283");
                this.Manager.Comment("reaching state \'S403\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp484;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp484 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S523\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp484, "return of NetrServerAuthenticate3, state S523");
                this.Manager.Comment("reaching state \'S643\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp485;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp485 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S763\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp485, "return of NetrLogonGetDomainInfo, state S763");
                this.Manager.Comment("reaching state \'S883\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp486;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp486 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1003\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp486, "return of NetrServerReqChallenge, state S1003");
                this.Manager.Comment("reaching state \'S1123\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp487;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp487 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1243\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp487, "return of NetrServerAuthenticate3, state S1243");
                this.Manager.Comment("reaching state \'S1363\'");
                goto label25;
            }
            throw new InvalidOperationException("never reached");
        label25:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S55");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S55");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS54GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S55");
        }
        #endregion
        
        #region Test Starting in S56
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56");
            this.Manager.Comment("reaching state \'S56\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp489;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp489);
            this.Manager.AddReturn(GetPlatformInfo, null, temp489);
            this.Manager.Comment("reaching state \'S57\'");
            int temp506 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker2)));
            if ((temp506 == 0)) {
                this.Manager.Comment("reaching state \'S164\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp490;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp490 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S284\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp490, "return of NetrServerReqChallenge, state S284");
                this.Manager.Comment("reaching state \'S404\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp491;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp491 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S524\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp491, "return of NetrServerAuthenticate3, state S524");
                this.Manager.Comment("reaching state \'S644\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp492;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp492 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S764\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp492, "return of NetrLogonGetDomainInfo, state S764");
                this.Manager.Comment("reaching state \'S884\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp493;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp493 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1004\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp493, "return of NetrServerReqChallenge, state S1004");
                this.Manager.Comment("reaching state \'S1124\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp494;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp494 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1244\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp494, "return of NetrServerAuthenticate3, state S1244");
                this.Manager.Comment("reaching state \'S1364\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp495;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp495 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp495);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1426();
                goto label26;
            }
            if ((temp506 == 1)) {
                this.Manager.Comment("reaching state \'S165\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp496;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp496 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S285\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp496, "return of NetrServerReqChallenge, state S285");
                this.Manager.Comment("reaching state \'S405\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp497;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp497 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S525\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp497, "return of NetrServerAuthenticate3, state S525");
                this.Manager.Comment("reaching state \'S645\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp498;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp498 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S765\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp498, "return of NetrLogonGetDomainInfo, state S765");
                this.Manager.Comment("reaching state \'S885\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp499;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp499 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1005\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp499, "return of NetrServerReqChallenge, state S1005");
                this.Manager.Comment("reaching state \'S1125\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp500;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp500 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1245\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp500, "return of NetrServerAuthenticate3, state S1245");
                this.Manager.Comment("reaching state \'S1365\'");
                goto label26;
            }
            if ((temp506 == 2)) {
                this.Manager.Comment("reaching state \'S166\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp501;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp501 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S286\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp501, "return of NetrServerReqChallenge, state S286");
                this.Manager.Comment("reaching state \'S406\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp502;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp502 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S526\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp502, "return of NetrServerAuthenticate3, state S526");
                this.Manager.Comment("reaching state \'S646\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp503;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp503 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S766\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp503, "return of NetrLogonGetDomainInfo, state S766");
                this.Manager.Comment("reaching state \'S886\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp504;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp504 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1006\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp504, "return of NetrServerReqChallenge, state S1006");
                this.Manager.Comment("reaching state \'S1126\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp505;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp505 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1246\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp505, "return of NetrServerAuthenticate3, state S1246");
                this.Manager.Comment("reaching state \'S1366\'");
                goto label26;
            }
            throw new InvalidOperationException("never reached");
        label26:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S57");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1426() {
            this.Manager.Comment("reaching state \'S1426\'");
            this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.NetrLogonGetDomainInfoInfo, null, new NetrLogonGetDomainInfoDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56NetrLogonGetDomainInfoChecker)));
            this.Manager.Comment("reaching state \'S1456\'");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56NetrLogonGetDomainInfoChecker(Microsoft.Protocols.TestSuites.Nrpc.HRESULT @return) {
            this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), @return, "return of NetrLogonGetDomainInfo, state S1426");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S57");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS56GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S57");
        }
        #endregion
        
        #region Test Starting in S58
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58");
            this.Manager.Comment("reaching state \'S58\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp507;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp507);
            this.Manager.AddReturn(GetPlatformInfo, null, temp507);
            this.Manager.Comment("reaching state \'S59\'");
            int temp524 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker2)));
            if ((temp524 == 0)) {
                this.Manager.Comment("reaching state \'S167\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp508;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp508 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S287\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp508, "return of NetrServerReqChallenge, state S287");
                this.Manager.Comment("reaching state \'S407\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp509;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp509 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S527\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp509, "return of NetrServerAuthenticate3, state S527");
                this.Manager.Comment("reaching state \'S647\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp510;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp510 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S767\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp510, "return of NetrLogonGetDomainInfo, state S767");
                this.Manager.Comment("reaching state \'S887\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp511;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp511 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1007\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp511, "return of NetrServerReqChallenge, state S1007");
                this.Manager.Comment("reaching state \'S1127\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp512;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp512 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1247\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp512, "return of NetrServerAuthenticate3, state S1247");
                this.Manager.Comment("reaching state \'S1367\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp513;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp513 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1427\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp513, "return of NetrLogonGetDomainInfo, state S1427");
                this.Manager.Comment("reaching state \'S1457\'");
                goto label27;
            }
            if ((temp524 == 1)) {
                this.Manager.Comment("reaching state \'S168\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp514;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp514 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S288\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp514, "return of NetrServerReqChallenge, state S288");
                this.Manager.Comment("reaching state \'S408\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp515;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp515 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S528\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp515, "return of NetrServerAuthenticate3, state S528");
                this.Manager.Comment("reaching state \'S648\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp516;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp516 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S768\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp516, "return of NetrLogonGetDomainInfo, state S768");
                this.Manager.Comment("reaching state \'S888\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp517;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp517 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1008\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp517, "return of NetrServerReqChallenge, state S1008");
                this.Manager.Comment("reaching state \'S1128\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp518;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp518 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1248\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp518, "return of NetrServerAuthenticate3, state S1248");
                this.Manager.Comment("reaching state \'S1368\'");
                goto label27;
            }
            if ((temp524 == 2)) {
                this.Manager.Comment("reaching state \'S169\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp519;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp519 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S289\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp519, "return of NetrServerReqChallenge, state S289");
                this.Manager.Comment("reaching state \'S409\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp520;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp520 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S529\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp520, "return of NetrServerAuthenticate3, state S529");
                this.Manager.Comment("reaching state \'S649\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp521;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp521 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S769\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp521, "return of NetrLogonGetDomainInfo, state S769");
                this.Manager.Comment("reaching state \'S889\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp522;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp522 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1009\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp522, "return of NetrServerReqChallenge, state S1009");
                this.Manager.Comment("reaching state \'S1129\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp523;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp523 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1249\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp523, "return of NetrServerAuthenticate3, state S1249");
                this.Manager.Comment("reaching state \'S1369\'");
                goto label27;
            }
            throw new InvalidOperationException("never reached");
        label27:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S59");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S59");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS58GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S59");
        }
        #endregion
        
        #region Test Starting in S6
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6");
            this.Manager.Comment("reaching state \'S6\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp525;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp525);
            this.Manager.AddReturn(GetPlatformInfo, null, temp525);
            this.Manager.Comment("reaching state \'S7\'");
            int temp543 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker2)));
            if ((temp543 == 0)) {
                this.Manager.Comment("reaching state \'S89\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp526;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp526 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S209\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp526, "return of NetrServerReqChallenge, state S209");
                this.Manager.Comment("reaching state \'S329\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp527;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp527 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S449\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp527, "return of NetrServerAuthenticate3, state S449");
                this.Manager.Comment("reaching state \'S569\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp528;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp528 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S689\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp528, "return of NetrLogonGetDomainInfo, state S689");
                this.Manager.Comment("reaching state \'S809\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp529;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp529 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S929\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp529, "return of NetrServerReqChallenge, state S929");
                this.Manager.Comment("reaching state \'S1049\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp530;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp530 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1169\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp530, "return of NetrServerAuthenticate3, state S1169");
                this.Manager.Comment("reaching state \'S1289\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp531;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp531 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1407\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp531, "return of NetrLogonGetDomainInfo, state S1407");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1437();
                goto label28;
            }
            if ((temp543 == 1)) {
                this.Manager.Comment("reaching state \'S90\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp532;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp532 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S210\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp532, "return of NetrServerReqChallenge, state S210");
                this.Manager.Comment("reaching state \'S330\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp533;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp533 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S450\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp533, "return of NetrServerAuthenticate3, state S450");
                this.Manager.Comment("reaching state \'S570\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp534;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=False,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp534 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S690\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp534, "return of NetrLogonGetDomainInfo, state S690");
                this.Manager.Comment("reaching state \'S810\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp535;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp535 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S930\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp535, "return of NetrServerReqChallenge, state S930");
                this.Manager.Comment("reaching state \'S1050\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp536;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp536 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1170\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp536, "return of NetrServerAuthenticate3, state S1170");
                this.Manager.Comment("reaching state \'S1290\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp537;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp537 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R239");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp537);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1408();
                goto label28;
            }
            if ((temp543 == 2)) {
                this.Manager.Comment("reaching state \'S91\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp538;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp538 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S211\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp538, "return of NetrServerReqChallenge, state S211");
                this.Manager.Comment("reaching state \'S331\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp539;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp539 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S451\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp539, "return of NetrServerAuthenticate3, state S451");
                this.Manager.Comment("reaching state \'S571\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp540;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp540 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S691\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp540, "return of NetrLogonGetDomainInfo, state S691");
                this.Manager.Comment("reaching state \'S811\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp541;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp541 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S931\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp541, "return of NetrServerReqChallenge, state S931");
                this.Manager.Comment("reaching state \'S1051\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp542;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp542 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1171\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp542, "return of NetrServerAuthenticate3, state S1171");
                this.Manager.Comment("reaching state \'S1291\'");
                goto label28;
            }
            throw new InvalidOperationException("never reached");
        label28:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S7");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S7");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS6GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S7");
        }
        #endregion
        
        #region Test Starting in S60
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60");
            this.Manager.Comment("reaching state \'S60\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp544;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp544);
            this.Manager.AddReturn(GetPlatformInfo, null, temp544);
            this.Manager.Comment("reaching state \'S61\'");
            int temp561 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker2)));
            if ((temp561 == 0)) {
                this.Manager.Comment("reaching state \'S170\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp545;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp545 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S290\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp545, "return of NetrServerReqChallenge, state S290");
                this.Manager.Comment("reaching state \'S410\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp546;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp546 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S530\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp546, "return of NetrServerAuthenticate3, state S530");
                this.Manager.Comment("reaching state \'S650\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp547;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp547 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S770\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp547, "return of NetrLogonGetDomainInfo, state S770");
                this.Manager.Comment("reaching state \'S890\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp548;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp548 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1010\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp548, "return of NetrServerReqChallenge, state S1010");
                this.Manager.Comment("reaching state \'S1130\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp549;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp549 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1250\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp549, "return of NetrServerAuthenticate3, state S1250");
                this.Manager.Comment("reaching state \'S1370\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp550;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp550 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1428\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp550, "return of NetrLogonGetDomainInfo, state S1428");
                this.Manager.Comment("reaching state \'S1458\'");
                goto label29;
            }
            if ((temp561 == 1)) {
                this.Manager.Comment("reaching state \'S171\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp551;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp551 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S291\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp551, "return of NetrServerReqChallenge, state S291");
                this.Manager.Comment("reaching state \'S411\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp552;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp552 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S531\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp552, "return of NetrServerAuthenticate3, state S531");
                this.Manager.Comment("reaching state \'S651\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp553;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp553 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S771\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp553, "return of NetrLogonGetDomainInfo, state S771");
                this.Manager.Comment("reaching state \'S891\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp554;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp554 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1011\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp554, "return of NetrServerReqChallenge, state S1011");
                this.Manager.Comment("reaching state \'S1131\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp555;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp555 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1251\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp555, "return of NetrServerAuthenticate3, state S1251");
                this.Manager.Comment("reaching state \'S1371\'");
                goto label29;
            }
            if ((temp561 == 2)) {
                this.Manager.Comment("reaching state \'S172\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp556;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp556 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S292\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp556, "return of NetrServerReqChallenge, state S292");
                this.Manager.Comment("reaching state \'S412\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp557;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp557 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S532\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp557, "return of NetrServerAuthenticate3, state S532");
                this.Manager.Comment("reaching state \'S652\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp558;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp558 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S772\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp558, "return of NetrLogonGetDomainInfo, state S772");
                this.Manager.Comment("reaching state \'S892\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp559;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp559 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1012\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp559, "return of NetrServerReqChallenge, state S1012");
                this.Manager.Comment("reaching state \'S1132\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp560;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp560 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1252\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp560, "return of NetrServerAuthenticate3, state S1252");
                this.Manager.Comment("reaching state \'S1372\'");
                goto label29;
            }
            throw new InvalidOperationException("never reached");
        label29:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S61");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S61");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS60GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S61");
        }
        #endregion
        
        #region Test Starting in S62
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62");
            this.Manager.Comment("reaching state \'S62\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp562;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp562);
            this.Manager.AddReturn(GetPlatformInfo, null, temp562);
            this.Manager.Comment("reaching state \'S63\'");
            int temp579 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker2)));
            if ((temp579 == 0)) {
                this.Manager.Comment("reaching state \'S173\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp563;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp563 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S293\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp563, "return of NetrServerReqChallenge, state S293");
                this.Manager.Comment("reaching state \'S413\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp564;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp564 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S533\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp564, "return of NetrServerAuthenticate3, state S533");
                this.Manager.Comment("reaching state \'S653\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp565;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=2147483649,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp565 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            2147483649u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S773\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp565, "return of NetrLogonGetDomainInfo, state S773");
                this.Manager.Comment("reaching state \'S893\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp566;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp566 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1013\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp566, "return of NetrServerReqChallenge, state S1013");
                this.Manager.Comment("reaching state \'S1133\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp567;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp567 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1253\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp567, "return of NetrServerAuthenticate3, state S1253");
                this.Manager.Comment("reaching state \'S1373\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp568;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=1,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp568 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            1u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R280");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp568);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1426();
                goto label30;
            }
            if ((temp579 == 1)) {
                this.Manager.Comment("reaching state \'S174\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp569;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp569 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S294\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp569, "return of NetrServerReqChallenge, state S294");
                this.Manager.Comment("reaching state \'S414\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp570;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp570 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S534\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp570, "return of NetrServerAuthenticate3, state S534");
                this.Manager.Comment("reaching state \'S654\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp571;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp571 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S774\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp571, "return of NetrLogonGetDomainInfo, state S774");
                this.Manager.Comment("reaching state \'S894\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp572;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp572 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1014\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp572, "return of NetrServerReqChallenge, state S1014");
                this.Manager.Comment("reaching state \'S1134\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp573;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp573 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1254\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp573, "return of NetrServerAuthenticate3, state S1254");
                this.Manager.Comment("reaching state \'S1374\'");
                goto label30;
            }
            if ((temp579 == 2)) {
                this.Manager.Comment("reaching state \'S175\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp574;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp574 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S295\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp574, "return of NetrServerReqChallenge, state S295");
                this.Manager.Comment("reaching state \'S415\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp575;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp575 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S535\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp575, "return of NetrServerAuthenticate3, state S535");
                this.Manager.Comment("reaching state \'S655\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp576;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp576 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S775\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp576, "return of NetrLogonGetDomainInfo, state S775");
                this.Manager.Comment("reaching state \'S895\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp577;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp577 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1015\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp577, "return of NetrServerReqChallenge, state S1015");
                this.Manager.Comment("reaching state \'S1135\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp578;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp578 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1255\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp578, "return of NetrServerAuthenticate3, state S1255");
                this.Manager.Comment("reaching state \'S1375\'");
                goto label30;
            }
            throw new InvalidOperationException("never reached");
        label30:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S63");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S63");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS62GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S63");
        }
        #endregion
        
        #region Test Starting in S64
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64");
            this.Manager.Comment("reaching state \'S64\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp580;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp580);
            this.Manager.AddReturn(GetPlatformInfo, null, temp580);
            this.Manager.Comment("reaching state \'S65\'");
            int temp597 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker2)));
            if ((temp597 == 0)) {
                this.Manager.Comment("reaching state \'S176\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp581;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp581 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S296\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp581, "return of NetrServerReqChallenge, state S296");
                this.Manager.Comment("reaching state \'S416\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp582;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp582 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S536\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp582, "return of NetrServerAuthenticate3, state S536");
                this.Manager.Comment("reaching state \'S656\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp583;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=False,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp583 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            false,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S776\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp583, "return of NetrLogonGetDomainInfo, state S776");
                this.Manager.Comment("reaching state \'S896\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp584;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp584 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1016\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp584, "return of NetrServerReqChallenge, state S1016");
                this.Manager.Comment("reaching state \'S1136\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp585;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp585 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1256\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp585, "return of NetrServerAuthenticate3, state S1256");
                this.Manager.Comment("reaching state \'S1376\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp586;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp586 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R283");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp586);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label31;
            }
            if ((temp597 == 1)) {
                this.Manager.Comment("reaching state \'S177\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp587;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp587 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S297\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp587, "return of NetrServerReqChallenge, state S297");
                this.Manager.Comment("reaching state \'S417\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp588;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp588 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S537\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp588, "return of NetrServerAuthenticate3, state S537");
                this.Manager.Comment("reaching state \'S657\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp589;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp589 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S777\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp589, "return of NetrLogonGetDomainInfo, state S777");
                this.Manager.Comment("reaching state \'S897\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp590;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp590 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1017\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp590, "return of NetrServerReqChallenge, state S1017");
                this.Manager.Comment("reaching state \'S1137\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp591;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp591 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1257\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp591, "return of NetrServerAuthenticate3, state S1257");
                this.Manager.Comment("reaching state \'S1377\'");
                goto label31;
            }
            if ((temp597 == 2)) {
                this.Manager.Comment("reaching state \'S178\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp592;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp592 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S298\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp592, "return of NetrServerReqChallenge, state S298");
                this.Manager.Comment("reaching state \'S418\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp593;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp593 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S538\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp593, "return of NetrServerAuthenticate3, state S538");
                this.Manager.Comment("reaching state \'S658\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp594;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp594 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S778\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp594, "return of NetrLogonGetDomainInfo, state S778");
                this.Manager.Comment("reaching state \'S898\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp595;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp595 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1018\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp595, "return of NetrServerReqChallenge, state S1018");
                this.Manager.Comment("reaching state \'S1138\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp596;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp596 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1258\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp596, "return of NetrServerAuthenticate3, state S1258");
                this.Manager.Comment("reaching state \'S1378\'");
                goto label31;
            }
            throw new InvalidOperationException("never reached");
        label31:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S65");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S65");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS64GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S65");
        }
        #endregion
        
        #region Test Starting in S66
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66");
            this.Manager.Comment("reaching state \'S66\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp598;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp598);
            this.Manager.AddReturn(GetPlatformInfo, null, temp598);
            this.Manager.Comment("reaching state \'S67\'");
            int temp615 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker2)));
            if ((temp615 == 0)) {
                this.Manager.Comment("reaching state \'S179\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp599;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp599 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S299\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp599, "return of NetrServerReqChallenge, state S299");
                this.Manager.Comment("reaching state \'S419\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp600;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp600 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S539\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp600, "return of NetrServerAuthenticate3, state S539");
                this.Manager.Comment("reaching state \'S659\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp601;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=False,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp601 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            false,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S779\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp601, "return of NetrLogonGetDomainInfo, state S779");
                this.Manager.Comment("reaching state \'S899\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp602;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp602 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1019\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp602, "return of NetrServerReqChallenge, state S1019");
                this.Manager.Comment("reaching state \'S1139\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp603;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp603 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1259\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp603, "return of NetrServerAuthenticate3, state S1259");
                this.Manager.Comment("reaching state \'S1379\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp604;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp604 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R287");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp604);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label32;
            }
            if ((temp615 == 1)) {
                this.Manager.Comment("reaching state \'S180\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp605;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp605 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S300\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp605, "return of NetrServerReqChallenge, state S300");
                this.Manager.Comment("reaching state \'S420\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp606;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp606 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S540\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp606, "return of NetrServerAuthenticate3, state S540");
                this.Manager.Comment("reaching state \'S660\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp607;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp607 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S780\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp607, "return of NetrLogonGetDomainInfo, state S780");
                this.Manager.Comment("reaching state \'S900\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp608;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp608 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1020\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp608, "return of NetrServerReqChallenge, state S1020");
                this.Manager.Comment("reaching state \'S1140\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp609;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp609 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1260\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp609, "return of NetrServerAuthenticate3, state S1260");
                this.Manager.Comment("reaching state \'S1380\'");
                goto label32;
            }
            if ((temp615 == 2)) {
                this.Manager.Comment("reaching state \'S181\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp610;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp610 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S301\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp610, "return of NetrServerReqChallenge, state S301");
                this.Manager.Comment("reaching state \'S421\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp611;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp611 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S541\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp611, "return of NetrServerAuthenticate3, state S541");
                this.Manager.Comment("reaching state \'S661\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp612;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp612 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S781\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp612, "return of NetrLogonGetDomainInfo, state S781");
                this.Manager.Comment("reaching state \'S901\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp613;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp613 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1021\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp613, "return of NetrServerReqChallenge, state S1021");
                this.Manager.Comment("reaching state \'S1141\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp614;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp614 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1261\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp614, "return of NetrServerAuthenticate3, state S1261");
                this.Manager.Comment("reaching state \'S1381\'");
                goto label32;
            }
            throw new InvalidOperationException("never reached");
        label32:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S67");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S67");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS66GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S67");
        }
        #endregion
        
        #region Test Starting in S68
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68");
            this.Manager.Comment("reaching state \'S68\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp616;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp616);
            this.Manager.AddReturn(GetPlatformInfo, null, temp616);
            this.Manager.Comment("reaching state \'S69\'");
            int temp633 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker2)));
            if ((temp633 == 0)) {
                this.Manager.Comment("reaching state \'S182\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp617;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp617 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S302\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp617, "return of NetrServerReqChallenge, state S302");
                this.Manager.Comment("reaching state \'S422\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp618;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp618 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S542\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp618, "return of NetrServerAuthenticate3, state S542");
                this.Manager.Comment("reaching state \'S662\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp619;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=False,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp619 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            false,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S782\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp619, "return of NetrLogonGetDomainInfo, state S782");
                this.Manager.Comment("reaching state \'S902\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp620;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp620 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1022\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp620, "return of NetrServerReqChallenge, state S1022");
                this.Manager.Comment("reaching state \'S1142\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp621;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp621 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1262\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp621, "return of NetrServerAuthenticate3, state S1262");
                this.Manager.Comment("reaching state \'S1382\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp622;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp622 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R292");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp622);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label33;
            }
            if ((temp633 == 1)) {
                this.Manager.Comment("reaching state \'S183\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp623;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp623 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S303\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp623, "return of NetrServerReqChallenge, state S303");
                this.Manager.Comment("reaching state \'S423\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp624;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp624 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S543\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp624, "return of NetrServerAuthenticate3, state S543");
                this.Manager.Comment("reaching state \'S663\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp625;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp625 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S783\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp625, "return of NetrLogonGetDomainInfo, state S783");
                this.Manager.Comment("reaching state \'S903\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp626;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp626 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1023\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp626, "return of NetrServerReqChallenge, state S1023");
                this.Manager.Comment("reaching state \'S1143\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp627;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp627 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1263\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp627, "return of NetrServerAuthenticate3, state S1263");
                this.Manager.Comment("reaching state \'S1383\'");
                goto label33;
            }
            if ((temp633 == 2)) {
                this.Manager.Comment("reaching state \'S184\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp628;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp628 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S304\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp628, "return of NetrServerReqChallenge, state S304");
                this.Manager.Comment("reaching state \'S424\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp629;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp629 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S544\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp629, "return of NetrServerAuthenticate3, state S544");
                this.Manager.Comment("reaching state \'S664\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp630;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp630 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S784\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp630, "return of NetrLogonGetDomainInfo, state S784");
                this.Manager.Comment("reaching state \'S904\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp631;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp631 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1024\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp631, "return of NetrServerReqChallenge, state S1024");
                this.Manager.Comment("reaching state \'S1144\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp632;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp632 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1264\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp632, "return of NetrServerAuthenticate3, state S1264");
                this.Manager.Comment("reaching state \'S1384\'");
                goto label33;
            }
            throw new InvalidOperationException("never reached");
        label33:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S69");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S69");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS68GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S69");
        }
        #endregion
        
        #region Test Starting in S70
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70");
            this.Manager.Comment("reaching state \'S70\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp634;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp634);
            this.Manager.AddReturn(GetPlatformInfo, null, temp634);
            this.Manager.Comment("reaching state \'S71\'");
            int temp651 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker2)));
            if ((temp651 == 0)) {
                this.Manager.Comment("reaching state \'S185\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp635;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp635 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S305\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp635, "return of NetrServerReqChallenge, state S305");
                this.Manager.Comment("reaching state \'S425\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp636;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp636 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S545\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp636, "return of NetrServerAuthenticate3, state S545");
                this.Manager.Comment("reaching state \'S665\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp637;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp637 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S785\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp637, "return of NetrLogonGetDomainInfo, state S785");
                this.Manager.Comment("reaching state \'S905\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp638;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp638 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1025\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp638, "return of NetrServerReqChallenge, state S1025");
                this.Manager.Comment("reaching state \'S1145\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp639;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp639 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1265\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp639, "return of NetrServerAuthenticate3, state S1265");
                this.Manager.Comment("reaching state \'S1385\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp640;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=False,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp640 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1429\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp640, "return of NetrLogonGetDomainInfo, state S1429");
                this.Manager.Comment("reaching state \'S1459\'");
                goto label34;
            }
            if ((temp651 == 1)) {
                this.Manager.Comment("reaching state \'S186\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp641;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp641 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S306\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp641, "return of NetrServerReqChallenge, state S306");
                this.Manager.Comment("reaching state \'S426\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp642;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp642 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S546\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp642, "return of NetrServerAuthenticate3, state S546");
                this.Manager.Comment("reaching state \'S666\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp643;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp643 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S786\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp643, "return of NetrLogonGetDomainInfo, state S786");
                this.Manager.Comment("reaching state \'S906\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp644;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp644 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1026\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp644, "return of NetrServerReqChallenge, state S1026");
                this.Manager.Comment("reaching state \'S1146\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp645;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp645 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1266\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp645, "return of NetrServerAuthenticate3, state S1266");
                this.Manager.Comment("reaching state \'S1386\'");
                goto label34;
            }
            if ((temp651 == 2)) {
                this.Manager.Comment("reaching state \'S187\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp646;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp646 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S307\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp646, "return of NetrServerReqChallenge, state S307");
                this.Manager.Comment("reaching state \'S427\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp647;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp647 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S547\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp647, "return of NetrServerAuthenticate3, state S547");
                this.Manager.Comment("reaching state \'S667\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp648;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp648 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S787\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp648, "return of NetrLogonGetDomainInfo, state S787");
                this.Manager.Comment("reaching state \'S907\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp649;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp649 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1027\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp649, "return of NetrServerReqChallenge, state S1027");
                this.Manager.Comment("reaching state \'S1147\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp650;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp650 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1267\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp650, "return of NetrServerAuthenticate3, state S1267");
                this.Manager.Comment("reaching state \'S1387\'");
                goto label34;
            }
            throw new InvalidOperationException("never reached");
        label34:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S71");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S71");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS70GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S71");
        }
        #endregion
        
        #region Test Starting in S72
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72");
            this.Manager.Comment("reaching state \'S72\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp652;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp652);
            this.Manager.AddReturn(GetPlatformInfo, null, temp652);
            this.Manager.Comment("reaching state \'S73\'");
            int temp669 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker2)));
            if ((temp669 == 0)) {
                this.Manager.Comment("reaching state \'S188\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp653;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp653 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S308\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp653, "return of NetrServerReqChallenge, state S308");
                this.Manager.Comment("reaching state \'S428\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp654;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp654 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S548\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp654, "return of NetrServerAuthenticate3, state S548");
                this.Manager.Comment("reaching state \'S668\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp655;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp655 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S788\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp655, "return of NetrLogonGetDomainInfo, state S788");
                this.Manager.Comment("reaching state \'S908\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp656;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp656 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1028\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp656, "return of NetrServerReqChallenge, state S1028");
                this.Manager.Comment("reaching state \'S1148\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp657;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp657 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1268\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp657, "return of NetrServerAuthenticate3, state S1268");
                this.Manager.Comment("reaching state \'S1388\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp658;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_WORKSTATION),IsLsaPolicyInfoNull=True))'");
                temp658 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_WORKSTATION}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1430\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp658, "return of NetrLogonGetDomainInfo, state S1430");
                this.Manager.Comment("reaching state \'S1460\'");
                goto label35;
            }
            if ((temp669 == 1)) {
                this.Manager.Comment("reaching state \'S189\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp659;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp659 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S309\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp659, "return of NetrServerReqChallenge, state S309");
                this.Manager.Comment("reaching state \'S429\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp660;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp660 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S549\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp660, "return of NetrServerAuthenticate3, state S549");
                this.Manager.Comment("reaching state \'S669\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp661;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp661 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S789\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp661, "return of NetrLogonGetDomainInfo, state S789");
                this.Manager.Comment("reaching state \'S909\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp662;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp662 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1029\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp662, "return of NetrServerReqChallenge, state S1029");
                this.Manager.Comment("reaching state \'S1149\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp663;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp663 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1269\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp663, "return of NetrServerAuthenticate3, state S1269");
                this.Manager.Comment("reaching state \'S1389\'");
                goto label35;
            }
            if ((temp669 == 2)) {
                this.Manager.Comment("reaching state \'S190\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp664;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp664 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S310\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp664, "return of NetrServerReqChallenge, state S310");
                this.Manager.Comment("reaching state \'S430\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp665;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp665 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S550\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp665, "return of NetrServerAuthenticate3, state S550");
                this.Manager.Comment("reaching state \'S670\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp666;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp666 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S790\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp666, "return of NetrLogonGetDomainInfo, state S790");
                this.Manager.Comment("reaching state \'S910\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp667;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp667 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1030\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp667, "return of NetrServerReqChallenge, state S1030");
                this.Manager.Comment("reaching state \'S1150\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp668;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp668 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1270\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp668, "return of NetrServerAuthenticate3, state S1270");
                this.Manager.Comment("reaching state \'S1390\'");
                goto label35;
            }
            throw new InvalidOperationException("never reached");
        label35:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S73");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S73");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS72GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S73");
        }
        #endregion
        
        #region Test Starting in S74
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74");
            this.Manager.Comment("reaching state \'S74\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp670;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp670);
            this.Manager.AddReturn(GetPlatformInfo, null, temp670);
            this.Manager.Comment("reaching state \'S75\'");
            int temp687 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker2)));
            if ((temp687 == 0)) {
                this.Manager.Comment("reaching state \'S191\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp671;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp671 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S311\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp671, "return of NetrServerReqChallenge, state S311");
                this.Manager.Comment("reaching state \'S431\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp672;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp672 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S551\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp672, "return of NetrServerAuthenticate3, state S551");
                this.Manager.Comment("reaching state \'S671\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp673;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp673 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S791\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp673, "return of NetrLogonGetDomainInfo, state S791");
                this.Manager.Comment("reaching state \'S911\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp674;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp674 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1031\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp674, "return of NetrServerReqChallenge, state S1031");
                this.Manager.Comment("reaching state \'S1151\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp675;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp675 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1271\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp675, "return of NetrServerAuthenticate3, state S1271");
                this.Manager.Comment("reaching state \'S1391\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp676;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=False,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp676 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1431\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp676, "return of NetrLogonGetDomainInfo, state S1431");
                this.Manager.Comment("reaching state \'S1461\'");
                goto label36;
            }
            if ((temp687 == 1)) {
                this.Manager.Comment("reaching state \'S192\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp677;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp677 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S312\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp677, "return of NetrServerReqChallenge, state S312");
                this.Manager.Comment("reaching state \'S432\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp678;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp678 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S552\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp678, "return of NetrServerAuthenticate3, state S552");
                this.Manager.Comment("reaching state \'S672\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp679;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp679 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S792\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp679, "return of NetrLogonGetDomainInfo, state S792");
                this.Manager.Comment("reaching state \'S912\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp680;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp680 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1032\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp680, "return of NetrServerReqChallenge, state S1032");
                this.Manager.Comment("reaching state \'S1152\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp681;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp681 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1272\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp681, "return of NetrServerAuthenticate3, state S1272");
                this.Manager.Comment("reaching state \'S1392\'");
                goto label36;
            }
            if ((temp687 == 2)) {
                this.Manager.Comment("reaching state \'S193\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp682;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp682 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S313\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp682, "return of NetrServerReqChallenge, state S313");
                this.Manager.Comment("reaching state \'S433\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp683;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp683 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S553\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp683, "return of NetrServerAuthenticate3, state S553");
                this.Manager.Comment("reaching state \'S673\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp684;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp684 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S793\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp684, "return of NetrLogonGetDomainInfo, state S793");
                this.Manager.Comment("reaching state \'S913\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp685;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp685 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1033\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp685, "return of NetrServerReqChallenge, state S1033");
                this.Manager.Comment("reaching state \'S1153\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp686;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp686 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1273\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp686, "return of NetrServerAuthenticate3, state S1273");
                this.Manager.Comment("reaching state \'S1393\'");
                goto label36;
            }
            throw new InvalidOperationException("never reached");
        label36:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S75");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S75");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS74GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S75");
        }
        #endregion
        
        #region Test Starting in S76
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76");
            this.Manager.Comment("reaching state \'S76\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp688;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp688);
            this.Manager.AddReturn(GetPlatformInfo, null, temp688);
            this.Manager.Comment("reaching state \'S77\'");
            int temp705 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker2)));
            if ((temp705 == 0)) {
                this.Manager.Comment("reaching state \'S194\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp689;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp689 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S314\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp689, "return of NetrServerReqChallenge, state S314");
                this.Manager.Comment("reaching state \'S434\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp690;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp690 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S554\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp690, "return of NetrServerAuthenticate3, state S554");
                this.Manager.Comment("reaching state \'S674\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp691;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp691 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S794\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp691, "return of NetrLogonGetDomainInfo, state S794");
                this.Manager.Comment("reaching state \'S914\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp692;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp692 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1034\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp692, "return of NetrServerReqChallenge, state S1034");
                this.Manager.Comment("reaching state \'S1154\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp693;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp693 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1274\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp693, "return of NetrServerAuthenticate3, state S1274");
                this.Manager.Comment("reaching state \'S1394\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp694;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp694 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp694);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1424();
                goto label37;
            }
            if ((temp705 == 1)) {
                this.Manager.Comment("reaching state \'S195\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp695;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp695 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S315\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp695, "return of NetrServerReqChallenge, state S315");
                this.Manager.Comment("reaching state \'S435\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp696;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp696 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S555\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp696, "return of NetrServerAuthenticate3, state S555");
                this.Manager.Comment("reaching state \'S675\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp697;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp697 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S795\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp697, "return of NetrLogonGetDomainInfo, state S795");
                this.Manager.Comment("reaching state \'S915\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp698;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp698 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1035\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp698, "return of NetrServerReqChallenge, state S1035");
                this.Manager.Comment("reaching state \'S1155\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp699;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp699 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1275\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp699, "return of NetrServerAuthenticate3, state S1275");
                this.Manager.Comment("reaching state \'S1395\'");
                goto label37;
            }
            if ((temp705 == 2)) {
                this.Manager.Comment("reaching state \'S196\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp700;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp700 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S316\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp700, "return of NetrServerReqChallenge, state S316");
                this.Manager.Comment("reaching state \'S436\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp701;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp701 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S556\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp701, "return of NetrServerAuthenticate3, state S556");
                this.Manager.Comment("reaching state \'S676\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp702;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp702 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S796\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp702, "return of NetrLogonGetDomainInfo, state S796");
                this.Manager.Comment("reaching state \'S916\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp703;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp703 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1036\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp703, "return of NetrServerReqChallenge, state S1036");
                this.Manager.Comment("reaching state \'S1156\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp704;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp704 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1276\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp704, "return of NetrServerAuthenticate3, state S1276");
                this.Manager.Comment("reaching state \'S1396\'");
                goto label37;
            }
            throw new InvalidOperationException("never reached");
        label37:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S77");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S77");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS76GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S77");
        }
        #endregion
        
        #region Test Starting in S78
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78");
            this.Manager.Comment("reaching state \'S78\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp706;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp706);
            this.Manager.AddReturn(GetPlatformInfo, null, temp706);
            this.Manager.Comment("reaching state \'S79\'");
            int temp723 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker2)));
            if ((temp723 == 0)) {
                this.Manager.Comment("reaching state \'S197\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp707;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp707 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S317\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp707, "return of NetrServerReqChallenge, state S317");
                this.Manager.Comment("reaching state \'S437\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp708;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp708 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S557\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp708, "return of NetrServerAuthenticate3, state S557");
                this.Manager.Comment("reaching state \'S677\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp709;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp709 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S797\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp709, "return of NetrLogonGetDomainInfo, state S797");
                this.Manager.Comment("reaching state \'S917\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp710;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp710 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1037\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp710, "return of NetrServerReqChallenge, state S1037");
                this.Manager.Comment("reaching state \'S1157\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp711;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp711 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1277\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp711, "return of NetrServerAuthenticate3, state S1277");
                this.Manager.Comment("reaching state \'S1397\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp712;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,False,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp712 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, false, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1056");
                this.Manager.Checkpoint("MS-NRPC_R1046");
                this.Manager.Comment("reaching state \'S1432\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/STATUS_ACCESS_DENIED\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.HRESULT.STATUS_ACCESS_DENIED, temp712, "return of NetrLogonGetDomainInfo, state S1432");
                this.Manager.Comment("reaching state \'S1462\'");
                goto label38;
            }
            if ((temp723 == 1)) {
                this.Manager.Comment("reaching state \'S198\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp713;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp713 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S318\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp713, "return of NetrServerReqChallenge, state S318");
                this.Manager.Comment("reaching state \'S438\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp714;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp714 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S558\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp714, "return of NetrServerAuthenticate3, state S558");
                this.Manager.Comment("reaching state \'S678\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp715;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp715 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S798\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp715, "return of NetrLogonGetDomainInfo, state S798");
                this.Manager.Comment("reaching state \'S918\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp716;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp716 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1038\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp716, "return of NetrServerReqChallenge, state S1038");
                this.Manager.Comment("reaching state \'S1158\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp717;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp717 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1278\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp717, "return of NetrServerAuthenticate3, state S1278");
                this.Manager.Comment("reaching state \'S1398\'");
                goto label38;
            }
            if ((temp723 == 2)) {
                this.Manager.Comment("reaching state \'S199\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp718;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp718 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S319\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp718, "return of NetrServerReqChallenge, state S319");
                this.Manager.Comment("reaching state \'S439\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp719;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp719 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S559\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp719, "return of NetrServerAuthenticate3, state S559");
                this.Manager.Comment("reaching state \'S679\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp720;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp720 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S799\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp720, "return of NetrLogonGetDomainInfo, state S799");
                this.Manager.Comment("reaching state \'S919\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp721;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp721 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S1039\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp721, "return of NetrServerReqChallenge, state S1039");
                this.Manager.Comment("reaching state \'S1159\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp722;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp722 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1279\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp722, "return of NetrServerAuthenticate3, state S1279");
                this.Manager.Comment("reaching state \'S1399\'");
                goto label38;
            }
            throw new InvalidOperationException("never reached");
        label38:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S79");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S79");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS78GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S79");
        }
        #endregion
        
        #region Test Starting in S8
        [Microsoft.VisualStudio.TestTools.UnitTesting.TestMethodAttribute()]
        public void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8() {
            this.Manager.BeginTest("Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8");
            this.Manager.Comment("reaching state \'S8\'");
            Microsoft.Protocols.TestSuites.Nrpc.PlatformType temp724;
            this.Manager.Comment("executing step \'call GetPlatform(out _)\'");
            this.INrpcServerAdapterInstance.GetPlatform(out temp724);
            this.Manager.AddReturn(GetPlatformInfo, null, temp724);
            this.Manager.Comment("reaching state \'S9\'");
            int temp742 = this.Manager.ExpectReturn(this.QuiescenceTimeout, true, new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker1)), new ExpectedReturn(Test_MaintainSecureChannel_NetrLogonGetDomainInfo.GetPlatformInfo, null, new GetPlatformDelegate1(this.Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker2)));
            if ((temp742 == 0)) {
                this.Manager.Comment("reaching state \'S92\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp725;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp725 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S212\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp725, "return of NetrServerReqChallenge, state S212");
                this.Manager.Comment("reaching state \'S332\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp726;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp726 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S452\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp726, "return of NetrServerAuthenticate3, state S452");
                this.Manager.Comment("reaching state \'S572\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp727;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=False,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp727 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            false,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S692\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp727, "return of NetrLogonGetDomainInfo, state S692");
                this.Manager.Comment("reaching state \'S812\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp728;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp728 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S932\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp728, "return of NetrServerReqChallenge, state S932");
                this.Manager.Comment("reaching state \'S1052\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp729;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp729 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1172\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp729, "return of NetrServerAuthenticate3, state S1172");
                this.Manager.Comment("reaching state \'S1292\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp730;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,1,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp730 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 1u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R243");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.AddReturn(NetrLogonGetDomainInfoInfo, null, temp730);
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1405();
                goto label39;
            }
            if ((temp742 == 1)) {
                this.Manager.Comment("reaching state \'S93\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp731;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp731 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S213\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp731, "return of NetrServerReqChallenge, state S213");
                this.Manager.Comment("reaching state \'S333\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp732;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp732 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S453\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp732, "return of NetrServerAuthenticate3, state S453");
                this.Manager.Comment("reaching state \'S573\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp733;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp733 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S693\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp733, "return of NetrLogonGetDomainInfo, state S693");
                this.Manager.Comment("reaching state \'S813\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp734;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp734 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S933\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp734, "return of NetrServerReqChallenge, state S933");
                this.Manager.Comment("reaching state \'S1053\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp735;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp735 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1173\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp735, "return of NetrServerAuthenticate3, state S1173");
                this.Manager.Comment("reaching state \'S1293\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp736;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=True))'");
                temp736 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                true}));
                this.Manager.Checkpoint("MS-NRPC_R319");
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S1409\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp736, "return of NetrLogonGetDomainInfo, state S1409");
                Test_MaintainSecureChannel_NetrLogonGetDomainInfoS1439();
                goto label39;
            }
            if ((temp742 == 2)) {
                this.Manager.Comment("reaching state \'S94\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp737;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp737 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S214\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp737, "return of NetrServerReqChallenge, state S214");
                this.Manager.Comment("reaching state \'S334\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp738;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp738 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S454\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp738, "return of NetrServerAuthenticate3, state S454");
                this.Manager.Comment("reaching state \'S574\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp739;
                this.Manager.Comment(@"executing step 'call NetrLogonGetDomainInfo(PrimaryDc,Client,True,2,AbstractNetLogonWorkStationInformation(WorkStationInfo=AbstractNetLogonWorkStationInfo(IsDummy1Null=True,IsDummy2Null=True,IsDummy3Null=True,IsDummy4Null=True,IsOsVersionNull=True,IsOsNameNull=True,IsDummyString3Null=True,IsDummyString4Null=True,WorkStationFlags=0,IsDummyLong2Zero=True,IsDummyLong3Zero=True,IsDummyLong4Zero=True,ClientOSType=VER_NT_SERVER),IsLsaPolicyInfoNull=False))'");
                temp739 = this.INrpcServerAdapterInstance.NetrLogonGetDomainInfo(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 2u, this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInformation>(new string[] {
                                "WorkStationInfo",
                                "IsLsaPolicyInfoNull"}, new object[] {
                                this.Make<Microsoft.Protocols.TestSuites.Nrpc.AbstractNetLogonWorkStationInfo>(new string[] {
                                            "IsDummy1Null",
                                            "IsDummy2Null",
                                            "IsDummy3Null",
                                            "IsDummy4Null",
                                            "IsOsVersionNull",
                                            "IsOsNameNull",
                                            "IsDummyString3Null",
                                            "IsDummyString4Null",
                                            "WorkStationFlags",
                                            "IsDummyLong2Zero",
                                            "IsDummyLong3Zero",
                                            "IsDummyLong4Zero",
                                            "ClientOSType"}, new object[] {
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            true,
                                            0u,
                                            true,
                                            true,
                                            true,
                                            Microsoft.Protocols.TestTools.StackSdk.PrintService.Rprn.OS_TYPE.VER_NT_SERVER}),
                                false}));
                this.Manager.Checkpoint("MS-NRPC_R1045");
                this.Manager.Comment("reaching state \'S694\'");
                this.Manager.Comment("checking step \'return NetrLogonGetDomainInfo/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp739, "return of NetrLogonGetDomainInfo, state S694");
                this.Manager.Comment("reaching state \'S814\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp740;
                this.Manager.Comment("executing step \'call NetrServerReqChallenge(PrimaryDc,Client)\'");
                temp740 = this.INrpcServerAdapterInstance.NetrServerReqChallenge(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client);
                this.Manager.Checkpoint("MS-NRPC_R103340");
                this.Manager.Comment("reaching state \'S934\'");
                this.Manager.Comment("checking step \'return NetrServerReqChallenge/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp740, "return of NetrServerReqChallenge, state S934");
                this.Manager.Comment("reaching state \'S1054\'");
                Microsoft.Protocols.TestSuites.Nrpc.HRESULT temp741;
                this.Manager.Comment("executing step \'call NetrServerAuthenticate3(PrimaryDc,DomainMemberComputerAccoun" +
                        "t,WorkstationSecureChannel,Client,True,16644)\'");
                temp741 = this.INrpcServerAdapterInstance.NetrServerAuthenticate3(Microsoft.Protocols.TestSuites.Nrpc.ComputerType.PrimaryDc, Microsoft.Protocols.TestSuites.Nrpc.AccounterNameType.DomainMemberComputerAccount, Microsoft.Protocols.TestTools.StackSdk.Security.Nrpc._NETLOGON_SECURE_CHANNEL_TYPE.WorkstationSecureChannel, Microsoft.Protocols.TestSuites.Nrpc.ComputerType.Client, true, 16644u);
                this.Manager.Checkpoint("MS-NRPC_R103455");
                this.Manager.Comment("reaching state \'S1174\'");
                this.Manager.Comment("checking step \'return NetrServerAuthenticate3/ERROR_SUCCESS\'");
                TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.HRESULT>(this.Manager, ((Microsoft.Protocols.TestSuites.Nrpc.HRESULT)(0)), temp741, "return of NetrServerAuthenticate3, state S1174");
                this.Manager.Comment("reaching state \'S1294\'");
                goto label39;
            }
            throw new InvalidOperationException("never reached");
        label39:
;
            this.Manager.EndTest();
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out NonWindows]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.NonWindows, sutPlatform, "sutPlatform of GetPlatform, state S9");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker1(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008, sutPlatform, "sutPlatform of GetPlatform, state S9");
        }
        
        private void Test_MaintainSecureChannel_NetrLogonGetDomainInfoS8GetPlatformChecker2(Microsoft.Protocols.TestSuites.Nrpc.PlatformType sutPlatform) {
            this.Manager.Comment("checking step \'return GetPlatform/[out WindowsServer2008R2]\'");
            TestManagerHelpers.AssertAreEqual<Microsoft.Protocols.TestSuites.Nrpc.PlatformType>(this.Manager, Microsoft.Protocols.TestSuites.Nrpc.PlatformType.WindowsServer2008R2, sutPlatform, "sutPlatform of GetPlatform, state S9");
        }
        #endregion
    }
}
