// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.

using System;

namespace Microsoft.Protocols.TestTools.StackSdk.FileAccessService.Smb2
{
    public class Smb2PendingRequest
    {
        /// <summary>
        /// An implementation-dependent identifier generated by the client to support cancellation of pending requests that are sent to the server.
        /// </summary>
        public ulong CancelId
        {
            get;
            set;
        }

        /// <summary>
        /// The contents of the request sent to the server.
        /// </summary>
        public Smb2SinglePacket Message
        {
            get;
            set;
        }

        /// <summary>
        /// The time at which the request was sent to the server.
        /// </summary>
        public DateTime Timestamp
        {
            get;
            set;
        }
    }
}
